/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

struct _vt_CAirtank {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CAirtank0)(void);
#endif
	void (* CAirtank__Spawn)(CAirtank* this);
	void (* CAirtank__Precache)(CAirtank* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CAirtank__Save)(CAirtank* this, CSave&);
	int (* CAirtank__Restore)(CAirtank* this, CRestore&);
	int (* CGrenade__ObjectCaps)(CGrenade* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseMonster__TakeDamage)(CBaseMonster* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CAirtank__Killed)(CAirtank* this, entvars_s*, int);
	int (* CAirtank__BloodColor)(CAirtank* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGrenade__Use)(CGrenade* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
	void (* CGrenade__BounceSound)(CGrenade* this);
};

struct _vt_C357SIGAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11C357SIGAmmo0)(void);
#endif
	void (* C357SIGAmmo__Spawn)(C357SIGAmmo* this);
	void (* C357SIGAmmo__Precache)(C357SIGAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C357SIGAmmo__AddAmmo)(C357SIGAmmo* this, CBaseEntity*);
};

struct _vt_C57MMAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9C57MMAmmo0)(void);
#endif
	void (* C57MMAmmo__Spawn)(C57MMAmmo* this);
	void (* C57MMAmmo__Precache)(C57MMAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C57MMAmmo__AddAmmo)(C57MMAmmo* this, CBaseEntity*);
};

struct _vt_C338MagnumAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14C338MagnumAmmo0)(void);
#endif
	void (* C338MagnumAmmo__Spawn)(C338MagnumAmmo* this);
	void (* C338MagnumAmmo__Precache)(C338MagnumAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C338MagnumAmmo__AddAmmo)(C338MagnumAmmo* this, CBaseEntity*);
};

struct _vt_C50AEAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9C50AEAmmo0)(void);
#endif
	void (* C50AEAmmo__Spawn)(C50AEAmmo* this);
	void (* C50AEAmmo__Precache)(C50AEAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C50AEAmmo__AddAmmo)(C50AEAmmo* this, CBaseEntity*);
};

struct _vt_C45ACPAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10C45ACPAmmo0)(void);
#endif
	void (* C45ACPAmmo__Spawn)(C45ACPAmmo* this);
	void (* C45ACPAmmo__Precache)(C45ACPAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C45ACPAmmo__AddAmmo)(C45ACPAmmo* this, CBaseEntity*);
};

struct _vt_C762NatoAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12C762NatoAmmo0)(void);
#endif
	void (* C762NatoAmmo__Spawn)(C762NatoAmmo* this);
	void (* C762NatoAmmo__Precache)(C762NatoAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C762NatoAmmo__AddAmmo)(C762NatoAmmo* this, CBaseEntity*);
};

struct _vt_C556NatoBoxAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15C556NatoBoxAmmo0)(void);
#endif
	void (* C556NatoBoxAmmo__Spawn)(C556NatoBoxAmmo* this);
	void (* C556NatoBoxAmmo__Precache)(C556NatoBoxAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C556NatoBoxAmmo__AddAmmo)(C556NatoBoxAmmo* this, CBaseEntity*);
};

struct _vt_C556NatoAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12C556NatoAmmo0)(void);
#endif
	void (* C556NatoAmmo__Spawn)(C556NatoAmmo* this);
	void (* C556NatoAmmo__Precache)(C556NatoAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C556NatoAmmo__AddAmmo)(C556NatoAmmo* this, CBaseEntity*);
};

struct _vt_CBuckShotAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CBuckShotAmmo0)(void);
#endif
	void (* CBuckShotAmmo__Spawn)(CBuckShotAmmo* this);
	void (* CBuckShotAmmo__Precache)(CBuckShotAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBuckShotAmmo__AddAmmo)(CBuckShotAmmo* this, CBaseEntity*);
};

struct _vt_C9MMAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8C9MMAmmo0)(void);
#endif
	void (* C9MMAmmo__Spawn)(C9MMAmmo* this);
	void (* C9MMAmmo__Precache)(C9MMAmmo* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* C9MMAmmo__AddAmmo)(C9MMAmmo* this, CBaseEntity*);
};

struct _vt_CBaseAnimating {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CBaseAnimating0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBaseAnimating__Save)(CBaseAnimating* this, CSave&);
	int (* CBaseAnimating__Restore)(CBaseAnimating* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CPendulum {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CPendulum0)(void);
#endif
	void (* CPendulum__Spawn)(CPendulum* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CPendulum__KeyValue)(CPendulum* this, KeyValueData_s*);
	int (* CPendulum__Save)(CPendulum* this, CSave&);
	int (* CPendulum__Restore)(CPendulum* this, CRestore&);
	int (* CPendulum__ObjectCaps)(CPendulum* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CPendulum__Touch)(CPendulum* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CPendulum__Blocked)(CPendulum* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncRotating {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CFuncRotating0)(void);
#endif
	void (* CFuncRotating__Spawn)(CFuncRotating* this);
	void (* CFuncRotating__Precache)(CFuncRotating* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncRotating__KeyValue)(CFuncRotating* this, KeyValueData_s*);
	int (* CFuncRotating__Save)(CFuncRotating* this, CSave&);
	int (* CFuncRotating__Restore)(CFuncRotating* this, CRestore&);
	int (* CFuncRotating__ObjectCaps)(CFuncRotating* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncRotating__Blocked)(CFuncRotating* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncMonsterClip {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CFuncMonsterClip0)(void);
#endif
	void (* CFuncMonsterClip__Spawn)(CFuncMonsterClip* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CFuncWall__ObjectCaps)(CFuncWall* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncMonsterClip__Use)(CFuncMonsterClip* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncIllusionary {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CFuncIllusionary0)(void);
#endif
	void (* CFuncIllusionary__Spawn)(CFuncIllusionary* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncIllusionary__KeyValue)(CFuncIllusionary* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CFuncIllusionary__ObjectCaps)(CFuncIllusionary* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CFuncConveyor {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CFuncConveyor0)(void);
#endif
	void (* CFuncConveyor__Spawn)(CFuncConveyor* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CFuncWall__ObjectCaps)(CFuncWall* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncConveyor__Use)(CFuncConveyor* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncWallToggle {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CFuncWallToggle0)(void);
#endif
	void (* CFuncWallToggle__Spawn)(CFuncWallToggle* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CFuncWall__ObjectCaps)(CFuncWall* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncWallToggle__Use)(CFuncWallToggle* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncWall {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CFuncWall0)(void);
#endif
	void (* CFuncWall__Spawn)(CFuncWall* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CFuncWall__ObjectCaps)(CFuncWall* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncWall__Use)(CFuncWall* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CButtonTarget {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CButtonTarget0)(void);
#endif
	void (* CButtonTarget__Spawn)(CButtonTarget* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CButtonTarget__ObjectCaps)(CButtonTarget* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CButtonTarget__TakeDamage)(CButtonTarget* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CButtonTarget__Use)(CButtonTarget* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CEnvSpark {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CEnvSpark0)(void);
#endif
	void (* CEnvSpark__Spawn)(CEnvSpark* this);
	void (* CEnvSpark__Precache)(CEnvSpark* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CEnvSpark__KeyValue)(CEnvSpark* this, KeyValueData_s*);
	int (* CEnvSpark__Save)(CEnvSpark* this, CSave&);
	int (* CEnvSpark__Restore)(CEnvSpark* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CMomentaryRotButton {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf19CMomentaryRotButton0)(void);
#endif
	void (* CMomentaryRotButton__Spawn)(CMomentaryRotButton* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CMomentaryRotButton__KeyValue)(CMomentaryRotButton* this, KeyValueData_s*);
	int (* CMomentaryRotButton__Save)(CMomentaryRotButton* this, CSave&);
	int (* CMomentaryRotButton__Restore)(CMomentaryRotButton* this, CRestore&);
	int (* CMomentaryRotButton__ObjectCaps)(CMomentaryRotButton* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CMomentaryRotButton__Use)(CMomentaryRotButton* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CRotButton {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CRotButton0)(void);
#endif
	void (* CRotButton__Spawn)(CRotButton* this);
	void (* CBaseButton__Precache)(CBaseButton* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseButton__KeyValue)(CBaseButton* this, KeyValueData_s*);
	int (* CBaseButton__Save)(CBaseButton* this, CSave&);
	int (* CBaseButton__Restore)(CBaseButton* this, CRestore&);
	int (* CBaseButton__ObjectCaps)(CBaseButton* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseButton__TakeDamage)(CBaseButton* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CEnvGlobal {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CEnvGlobal0)(void);
#endif
	void (* CEnvGlobal__Spawn)(CEnvGlobal* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CEnvGlobal__KeyValue)(CEnvGlobal* this, KeyValueData_s*);
	int (* CEnvGlobal__Save)(CEnvGlobal* this, CSave&);
	int (* CEnvGlobal__Restore)(CEnvGlobal* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CEnvGlobal__Use)(CEnvGlobal* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBaseButton {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CBaseButton0)(void);
#endif
	void (* CBaseButton__Spawn)(CBaseButton* this);
	void (* CBaseButton__Precache)(CBaseButton* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseButton__KeyValue)(CBaseButton* this, KeyValueData_s*);
	int (* CBaseButton__Save)(CBaseButton* this, CSave&);
	int (* CBaseButton__Restore)(CBaseButton* this, CRestore&);
	int (* CBaseButton__ObjectCaps)(CBaseButton* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseButton__TakeDamage)(CBaseButton* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CMultiSource {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CMultiSource0)(void);
#endif
	void (* CMultiSource__Spawn)(CMultiSource* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CMultiSource__KeyValue)(CMultiSource* this, KeyValueData_s*);
	int (* CMultiSource__Save)(CMultiSource* this, CSave&);
	int (* CMultiSource__Restore)(CMultiSource* this, CRestore&);
	int (* CMultiSource__ObjectCaps)(CMultiSource* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CMultiSource__IsTriggered)(CMultiSource* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CMultiSource__Use)(CMultiSource* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBaseEntity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CBaseEntity0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGib {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf4CGib0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CGib__ObjectCaps)(CGib* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CMomentaryDoor {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CMomentaryDoor0)(void);
#endif
	void (* CMomentaryDoor__Spawn)(CMomentaryDoor* this);
	void (* CMomentaryDoor__Precache)(CMomentaryDoor* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CMomentaryDoor__KeyValue)(CMomentaryDoor* this, KeyValueData_s*);
	int (* CMomentaryDoor__Save)(CMomentaryDoor* this, CSave&);
	int (* CMomentaryDoor__Restore)(CMomentaryDoor* this, CRestore&);
	int (* CMomentaryDoor__ObjectCaps)(CMomentaryDoor* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CMomentaryDoor__Use)(CMomentaryDoor* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CRotDoor {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CRotDoor0)(void);
#endif
	void (* CRotDoor__Spawn)(CRotDoor* this);
	void (* CBaseDoor__Precache)(CBaseDoor* this);
	void (* CRotDoor__Restart)(CRotDoor* this);
	void (* CBaseDoor__KeyValue)(CBaseDoor* this, KeyValueData_s*);
	int (* CBaseDoor__Save)(CBaseDoor* this, CSave&);
	int (* CBaseDoor__Restore)(CBaseDoor* this, CRestore&);
	int (* CBaseDoor__ObjectCaps)(CBaseDoor* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CRotDoor__SetToggleState)(CRotDoor* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseDoor__Use)(CBaseDoor* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseDoor__Blocked)(CBaseDoor* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CBaseDoor {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CBaseDoor0)(void);
#endif
	void (* CBaseDoor__Spawn)(CBaseDoor* this);
	void (* CBaseDoor__Precache)(CBaseDoor* this);
	void (* CBaseDoor__Restart)(CBaseDoor* this);
	void (* CBaseDoor__KeyValue)(CBaseDoor* this, KeyValueData_s*);
	int (* CBaseDoor__Save)(CBaseDoor* this, CSave&);
	int (* CBaseDoor__Restore)(CBaseDoor* this, CRestore&);
	int (* CBaseDoor__ObjectCaps)(CBaseDoor* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseDoor__SetToggleState)(CBaseDoor* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseDoor__Use)(CBaseDoor* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseDoor__Blocked)(CBaseDoor* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CItemSoda {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CItemSoda0)(void);
#endif
	void (* CItemSoda__Spawn)(CItemSoda* this);
	void (* CItemSoda__Precache)(CItemSoda* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CEnvBeverage {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CEnvBeverage0)(void);
#endif
	void (* CEnvBeverage__Spawn)(CEnvBeverage* this);
	void (* CEnvBeverage__Precache)(CEnvBeverage* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBaseDelay__Save)(CBaseDelay* this, CSave&);
	int (* CBaseDelay__Restore)(CBaseDelay* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CEnvBeverage__Use)(CEnvBeverage* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CEnvFunnel {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CEnvFunnel0)(void);
#endif
	void (* CEnvFunnel__Spawn)(CEnvFunnel* this);
	void (* CEnvFunnel__Precache)(CEnvFunnel* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBaseDelay__Save)(CBaseDelay* this, CSave&);
	int (* CBaseDelay__Restore)(CBaseDelay* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CEnvFunnel__Use)(CEnvFunnel* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CMessage {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CMessage0)(void);
#endif
	void (* CMessage__Spawn)(CMessage* this);
	void (* CMessage__Precache)(CMessage* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CMessage__KeyValue)(CMessage* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CMessage__Use)(CMessage* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFade {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CFade0)(void);
#endif
	void (* CFade__Spawn)(CFade* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFade__KeyValue)(CFade* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFade__Use)(CFade* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CShake {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CShake0)(void);
#endif
	void (* CShake__Spawn)(CShake* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CShake__KeyValue)(CShake* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CShake__Use)(CShake* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBlood {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CBlood0)(void);
#endif
	void (* CBlood__Spawn)(CBlood* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBlood__KeyValue)(CBlood* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBlood__Use)(CBlood* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CTestEffect {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CTestEffect0)(void);
#endif
	void (* CTestEffect__Spawn)(CTestEffect* this);
	void (* CTestEffect__Precache)(CTestEffect* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBaseDelay__Save)(CBaseDelay* this, CSave&);
	int (* CBaseDelay__Restore)(CBaseDelay* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CTestEffect__Use)(CTestEffect* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CEnvShooter {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CEnvShooter0)(void);
#endif
	void (* CGibShooter__Spawn)(CGibShooter* this);
	void (* CEnvShooter__Precache)(CEnvShooter* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CEnvShooter__KeyValue)(CEnvShooter* this, KeyValueData_s*);
	int (* CGibShooter__Save)(CGibShooter* this, CSave&);
	int (* CGibShooter__Restore)(CGibShooter* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGibShooter__Use)(CGibShooter* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CEnvShooter__CreateGib)(CEnvShooter* this);
};

struct _vt_CGibShooter {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CGibShooter0)(void);
#endif
	void (* CGibShooter__Spawn)(CGibShooter* this);
	void (* CGibShooter__Precache)(CGibShooter* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CGibShooter__KeyValue)(CGibShooter* this, KeyValueData_s*);
	int (* CGibShooter__Save)(CGibShooter* this, CSave&);
	int (* CGibShooter__Restore)(CGibShooter* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGibShooter__Use)(CGibShooter* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CGibShooter__CreateGib)(CGibShooter* this);
};

struct _vt_CBombGlow {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CBombGlow0)(void);
#endif
	void (* CBombGlow__Spawn)(CBombGlow* this);
	void (* CSprite__Precache)(CSprite* this);
	void (* CSprite__Restart)(CSprite* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CSprite__Save)(CSprite* this, CSave&);
	int (* CSprite__Restore)(CSprite* this, CRestore&);
	int (* CSprite__ObjectCaps)(CSprite* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBombGlow__Think)(CBombGlow* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CSprite__Use)(CSprite* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGlow {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CGlow0)(void);
#endif
	void (* CGlow__Spawn)(CGlow* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CGlow__Save)(CGlow* this, CSave&);
	int (* CGlow__Restore)(CGlow* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CGlow__Think)(CGlow* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CLightning {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CLightning0)(void);
#endif
	void (* CLightning__Spawn)(CLightning* this);
	void (* CLightning__Precache)(CLightning* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CLightning__KeyValue)(CLightning* this, KeyValueData_s*);
	int (* CLightning__Save)(CLightning* this, CSave&);
	int (* CLightning__Restore)(CLightning* this, CRestore&);
	int (* CBeam__ObjectCaps)(CBeam* this);
	void (* CLightning__Activate)(CLightning* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBeam__Center)(CBeam* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBubbling {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CBubbling0)(void);
#endif
	void (* CBubbling__Spawn)(CBubbling* this);
	void (* CBubbling__Precache)(CBubbling* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBubbling__KeyValue)(CBubbling* this, KeyValueData_s*);
	int (* CBubbling__Save)(CBubbling* this, CSave&);
	int (* CBubbling__Restore)(CBubbling* this, CRestore&);
	int (* CBubbling__ObjectCaps)(CBubbling* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBubbling__Use)(CBubbling* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CLaser {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CLaser0)(void);
#endif
	void (* CLaser__Spawn)(CLaser* this);
	void (* CLaser__Precache)(CLaser* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CLaser__KeyValue)(CLaser* this, KeyValueData_s*);
	int (* CLaser__Save)(CLaser* this, CSave&);
	int (* CLaser__Restore)(CLaser* this, CRestore&);
	int (* CBeam__ObjectCaps)(CBeam* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CLaser__Use)(CLaser* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBeam__Center)(CBeam* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBeam {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CBeam0)(void);
#endif
	void (* CBeam__Spawn)(CBeam* this);
	void (* CBeam__Precache)(CBeam* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBeam__ObjectCaps)(CBeam* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBeam__Center)(CBeam* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CSprite {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CSprite0)(void);
#endif
	void (* CSprite__Spawn)(CSprite* this);
	void (* CSprite__Precache)(CSprite* this);
	void (* CSprite__Restart)(CSprite* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CSprite__Save)(CSprite* this, CSave&);
	int (* CSprite__Restore)(CSprite* this, CRestore&);
	int (* CSprite__ObjectCaps)(CSprite* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CSprite__Use)(CSprite* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CEnvExplosion {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CEnvExplosion0)(void);
#endif
	void (* CEnvExplosion__Spawn)(CEnvExplosion* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CEnvExplosion__KeyValue)(CEnvExplosion* this, KeyValueData_s*);
	int (* CEnvExplosion__Save)(CEnvExplosion* this, CSave&);
	int (* CEnvExplosion__Restore)(CEnvExplosion* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseMonster__TakeDamage)(CBaseMonster* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CEnvExplosion__Use)(CEnvExplosion* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CShower {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CShower0)(void);
#endif
	void (* CShower__Spawn)(CShower* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CShower__ObjectCaps)(CShower* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CShower__Think)(CShower* this);
	void (* CShower__Touch)(CShower* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CPushable {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CPushable0)(void);
#endif
	void (* CPushable__Spawn)(CPushable* this);
	void (* CPushable__Precache)(CPushable* this);
	void (* CBreakable__Restart)(CBreakable* this);
	void (* CPushable__KeyValue)(CPushable* this, KeyValueData_s*);
	int (* CPushable__Save)(CPushable* this, CSave&);
	int (* CPushable__Restore)(CPushable* this, CRestore&);
	int (* CPushable__ObjectCaps)(CPushable* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBreakable__TraceAttack)(CBreakable* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CPushable__TakeDamage)(CPushable* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBreakable__DamageDecal)(CBreakable* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CPushable__Touch)(CPushable* this, CBaseEntity*);
	void (* CPushable__Use)(CPushable* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBreakable {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CBreakable0)(void);
#endif
	void (* CBreakable__Spawn)(CBreakable* this);
	void (* CBreakable__Precache)(CBreakable* this);
	void (* CBreakable__Restart)(CBreakable* this);
	void (* CBreakable__KeyValue)(CBreakable* this, KeyValueData_s*);
	int (* CBreakable__Save)(CBreakable* this, CSave&);
	int (* CBreakable__Restore)(CBreakable* this, CRestore&);
	int (* CBreakable__ObjectCaps)(CBreakable* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBreakable__TraceAttack)(CBreakable* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBreakable__TakeDamage)(CBreakable* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBreakable__DamageDecal)(CBreakable* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBreakable__Use)(CBreakable* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncTankControls {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf17CFuncTankControls0)(void);
#endif
	void (* CFuncTankControls__Spawn)(CFuncTankControls* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CFuncTankControls__Save)(CFuncTankControls* this, CSave&);
	int (* CFuncTankControls__Restore)(CFuncTankControls* this, CRestore&);
	int (* CFuncTankControls__ObjectCaps)(CFuncTankControls* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CFuncTankControls__Think)(CFuncTankControls* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTankControls__Use)(CFuncTankControls* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncTankMortar {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CFuncTankMortar0)(void);
#endif
	void (* CFuncTank__Spawn)(CFuncTank* this);
	void (* CFuncTank__Precache)(CFuncTank* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncTankMortar__KeyValue)(CFuncTankMortar* this, KeyValueData_s*);
	int (* CFuncTank__Save)(CFuncTank* this, CSave&);
	int (* CFuncTank__Restore)(CFuncTank* this, CRestore&);
	int (* CFuncTank__ObjectCaps)(CFuncTank* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CFuncTank__OnControls)(CFuncTank* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CFuncTank__Think)(CFuncTank* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTank__Use)(CFuncTank* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CFuncTankMortar__Fire)(CFuncTankMortar* this, Vector const& , Vector const& , entvars_s*);
	void (* CFuncTank__UpdateTargetPosition)(CFuncTank* this, CBaseEntity*);
};

struct _vt_CFuncTankRocket {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CFuncTankRocket0)(void);
#endif
	void (* CFuncTank__Spawn)(CFuncTank* this);
	void (* CFuncTankRocket__Precache)(CFuncTankRocket* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncTank__KeyValue)(CFuncTank* this, KeyValueData_s*);
	int (* CFuncTank__Save)(CFuncTank* this, CSave&);
	int (* CFuncTank__Restore)(CFuncTank* this, CRestore&);
	int (* CFuncTank__ObjectCaps)(CFuncTank* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CFuncTank__OnControls)(CFuncTank* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CFuncTank__Think)(CFuncTank* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTank__Use)(CFuncTank* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CFuncTankRocket__Fire)(CFuncTankRocket* this, Vector const& , Vector const& , entvars_s*);
	void (* CFuncTank__UpdateTargetPosition)(CFuncTank* this, CBaseEntity*);
};

struct _vt_CFuncTankLaser {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CFuncTankLaser0)(void);
#endif
	void (* CFuncTank__Spawn)(CFuncTank* this);
	void (* CFuncTank__Precache)(CFuncTank* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncTankLaser__KeyValue)(CFuncTankLaser* this, KeyValueData_s*);
	int (* CFuncTankLaser__Save)(CFuncTankLaser* this, CSave&);
	int (* CFuncTankLaser__Restore)(CFuncTankLaser* this, CRestore&);
	int (* CFuncTank__ObjectCaps)(CFuncTank* this);
	void (* CFuncTankLaser__Activate)(CFuncTankLaser* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CFuncTank__OnControls)(CFuncTank* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CFuncTankLaser__Think)(CFuncTankLaser* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTank__Use)(CFuncTank* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CFuncTankLaser__Fire)(CFuncTankLaser* this, Vector const& , Vector const& , entvars_s*);
	void (* CFuncTank__UpdateTargetPosition)(CFuncTank* this, CBaseEntity*);
};

struct _vt_CFuncTankGun {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CFuncTankGun0)(void);
#endif
	void (* CFuncTank__Spawn)(CFuncTank* this);
	void (* CFuncTank__Precache)(CFuncTank* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncTank__KeyValue)(CFuncTank* this, KeyValueData_s*);
	int (* CFuncTank__Save)(CFuncTank* this, CSave&);
	int (* CFuncTank__Restore)(CFuncTank* this, CRestore&);
	int (* CFuncTank__ObjectCaps)(CFuncTank* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CFuncTank__OnControls)(CFuncTank* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CFuncTank__Think)(CFuncTank* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTank__Use)(CFuncTank* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CFuncTankGun__Fire)(CFuncTankGun* this, Vector const& , Vector const& , entvars_s*);
	void (* CFuncTank__UpdateTargetPosition)(CFuncTank* this, CBaseEntity*);
};

struct _vt_CFuncTank {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CFuncTank0)(void);
#endif
	void (* CFuncTank__Spawn)(CFuncTank* this);
	void (* CFuncTank__Precache)(CFuncTank* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncTank__KeyValue)(CFuncTank* this, KeyValueData_s*);
	int (* CFuncTank__Save)(CFuncTank* this, CSave&);
	int (* CFuncTank__Restore)(CFuncTank* this, CRestore&);
	int (* CFuncTank__ObjectCaps)(CFuncTank* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CFuncTank__OnControls)(CFuncTank* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CFuncTank__Think)(CFuncTank* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTank__Use)(CFuncTank* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CFuncTank__Fire)(CFuncTank* this, Vector const& , Vector const& , entvars_s*);
	void (* CFuncTank__UpdateTargetPosition)(CFuncTank* this, CBaseEntity*);
};

struct _vt_CGameRules {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CGameRules0)(void);
#endif
	void (* CGameRules__RefreshSkillData)(CGameRules* this);
	void (* __pure_virtual_off2)(void);
	void (* __pure_virtual_off3)(void);
	void (* __pure_virtual_off4)(void);
	void (* __pure_virtual_off5)(void);
	void (* __pure_virtual_off6)(void);
	void (* __pure_virtual_off7)(void);
	void (* __pure_virtual_off8)(void);
	BOOL (* CGameRules__IsTeamplay)(CGameRules* this);
	void (* __pure_virtual_off10)(void);
	const char* (* CGameRules__GetGameDescription)(CGameRules* this);
	void (* __pure_virtual_off12)(void);
	void (* __pure_virtual_off13)(void);
	void (* __pure_virtual_off14)(void);
	void (* CGameRules__UpdateGameMode)(CGameRules* this, CBasePlayer*);
	void (* __pure_virtual_off16)(void);
	BOOL (* CGameRules__FPlayerCanTakeDamage)(CGameRules* this, CBasePlayer*, CBaseEntity*);
	BOOL (* CGameRules__ShouldAutoAim)(CGameRules* this, CBasePlayer*, edict_s*);
	void (* __pure_virtual_off19)(void);
	void (* __pure_virtual_off20)(void);
	void (* __pure_virtual_off21)(void);
	void (* __pure_virtual_off22)(void);
	edict_t* (* CGameRules__GetPlayerSpawnSpot)(CGameRules* this, CBasePlayer*);
	BOOL (* CGameRules__AllowAutoTargetCrosshair)(CGameRules* this);
	BOOL (* CGameRules__ClientCommand_DeadOrAlive)(CGameRules* this, CBasePlayer*, char const*);
	BOOL (* CGameRules__ClientCommand)(CGameRules* this, CBasePlayer*, char const*);
	void (* CGameRules__ClientUserInfoChanged)(CGameRules* this, CBasePlayer*, char*);
	void (* __pure_virtual_off28)(void);
	void (* __pure_virtual_off29)(void);
	void (* __pure_virtual_off30)(void);
	BOOL (* CGameRules__CanHavePlayerItem)(CGameRules* this, CBasePlayer*, CBasePlayerItem*);
	void (* __pure_virtual_off32)(void);
	void (* __pure_virtual_off33)(void);
	void (* __pure_virtual_off34)(void);
	void (* __pure_virtual_off35)(void);
	void (* __pure_virtual_off36)(void);
	void (* __pure_virtual_off37)(void);
	void (* __pure_virtual_off38)(void);
	void (* __pure_virtual_off39)(void);
	void (* __pure_virtual_off40)(void);
	void (* __pure_virtual_off41)(void);
	BOOL (* CGameRules__CanHaveAmmo)(CGameRules* this, CBasePlayer*, char const*, int);
	void (* __pure_virtual_off43)(void);
	void (* __pure_virtual_off44)(void);
	void (* __pure_virtual_off45)(void);
	void (* __pure_virtual_off46)(void);
	void (* __pure_virtual_off47)(void);
	float (* CGameRules__FlHEVChargerRechargeTime)(CGameRules* this);
	void (* __pure_virtual_off49)(void);
	void (* __pure_virtual_off50)(void);
	void (* __pure_virtual_off51)(void);
	void (* __pure_virtual_off52)(void);
	int (* CGameRules__GetTeamIndex)(CGameRules* this, char const*);
	const char* (* CGameRules__GetIndexedTeamName)(CGameRules* this, int);
	BOOL (* CGameRules__IsValidTeam)(CGameRules* this, char const*);
	void (* CGameRules__ChangePlayerTeam)(CGameRules* this, CBasePlayer*, char const*, int, int);
	const char* (* CGameRules__SetDefaultPlayerTeam)(CGameRules* this, CBasePlayer*);
	BOOL (* CGameRules__PlayTextureSounds)(CGameRules* this);
	void (* __pure_virtual_off59)(void);
	BOOL (* CGameRules__EndMultiplayerGame)(CGameRules* this);
	BOOL (* CGameRules__IsFreezePeriod)(CGameRules* this);
	void (* CGameRules__ServerDeactivate)(CGameRules* this);
	void (* CGameRules__CheckMapConditions)(CGameRules* this);
};

struct _vt_CGrenade {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CGrenade0)(void);
#endif
	void (* CGrenade__Spawn)(CGrenade* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CGrenade__Save)(CGrenade* this, CSave&);
	int (* CGrenade__Restore)(CGrenade* this, CRestore&);
	int (* CGrenade__ObjectCaps)(CGrenade* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseMonster__TakeDamage)(CBaseMonster* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CGrenade__Killed)(CGrenade* this, entvars_s*, int);
	int (* CGrenade__BloodColor)(CGrenade* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGrenade__Use)(CGrenade* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
	void (* CGrenade__BounceSound)(CGrenade* this);
};

struct _vt_CRecharge {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CRecharge0)(void);
#endif
	void (* CRecharge__Spawn)(CRecharge* this);
	void (* CRecharge__Precache)(CRecharge* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRecharge__KeyValue)(CRecharge* this, KeyValueData_s*);
	int (* CRecharge__Save)(CRecharge* this, CSave&);
	int (* CRecharge__Restore)(CRecharge* this, CRestore&);
	int (* CRecharge__ObjectCaps)(CRecharge* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CRecharge__Use)(CRecharge* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CWreckage {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CWreckage0)(void);
#endif
	void (* CWreckage__Spawn)(CWreckage* this);
	void (* CWreckage__Precache)(CWreckage* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CWreckage__Save)(CWreckage* this, CSave&);
	int (* CWreckage__Restore)(CWreckage* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseMonster__TakeDamage)(CBaseMonster* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CWreckage__Think)(CWreckage* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CWeaponCycler {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CWeaponCycler0)(void);
#endif
	void (* CWeaponCycler__Spawn)(CWeaponCycler* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CWeaponCycler__GetItemInfo)(CWeaponCycler* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CWeaponCycler__Deploy)(CWeaponCycler* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CWeaponCycler__Holster)(CWeaponCycler* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__GetMaxSpeed)(CBasePlayerItem* this);
	void (* CWeaponCycler__iItemSlot)(CWeaponCycler* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CWeaponCycler__PrimaryAttack)(CWeaponCycler* this);
	void (* CWeaponCycler__SecondaryAttack)(CWeaponCycler* this);
	void (* CBasePlayerWeapon__Reload)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__WeaponIdle)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UseDecrement)(CBasePlayerWeapon* this);
};

struct _vt_CCyclerSprite {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CCyclerSprite0)(void);
#endif
	void (* CCyclerSprite__Spawn)(CCyclerSprite* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CCyclerSprite__Restart)(CCyclerSprite* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CCyclerSprite__Save)(CCyclerSprite* this, CSave&);
	int (* CCyclerSprite__Restore)(CCyclerSprite* this, CRestore&);
	int (* CCyclerSprite__ObjectCaps)(CCyclerSprite* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CCyclerSprite__TakeDamage)(CCyclerSprite* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CCyclerSprite__Think)(CCyclerSprite* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CCyclerSprite__Use)(CCyclerSprite* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CCyclerProbe {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CCyclerProbe0)(void);
#endif
	void (* CCyclerProbe__Spawn)(CCyclerProbe* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CCycler__Save)(CCycler* this, CSave&);
	int (* CCycler__Restore)(CCycler* this, CRestore&);
	int (* CCycler__ObjectCaps)(CCycler* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CCycler__TakeDamage)(CCycler* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CCycler__IsAlive)(CCycler* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CCycler__Think)(CCycler* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CCycler__Use)(CCycler* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CGenericCycler {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CGenericCycler0)(void);
#endif
	void (* CGenericCycler__Spawn)(CGenericCycler* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CCycler__Save)(CCycler* this, CSave&);
	int (* CCycler__Restore)(CCycler* this, CRestore&);
	int (* CCycler__ObjectCaps)(CCycler* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CCycler__TakeDamage)(CCycler* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CCycler__IsAlive)(CCycler* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CCycler__Think)(CCycler* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CCycler__Use)(CCycler* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CCycler {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CCycler0)(void);
#endif
	void (* CCycler__Spawn)(CCycler* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CCycler__Save)(CCycler* this, CSave&);
	int (* CCycler__Restore)(CCycler* this, CRestore&);
	int (* CCycler__ObjectCaps)(CCycler* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CCycler__TakeDamage)(CCycler* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CCycler__IsAlive)(CCycler* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CCycler__Think)(CCycler* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CCycler__Use)(CCycler* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CWallHealth {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CWallHealth0)(void);
#endif
	void (* CWallHealth__Spawn)(CWallHealth* this);
	void (* CWallHealth__Precache)(CWallHealth* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CWallHealth__KeyValue)(CWallHealth* this, KeyValueData_s*);
	int (* CWallHealth__Save)(CWallHealth* this, CSave&);
	int (* CWallHealth__Restore)(CWallHealth* this, CRestore&);
	int (* CWallHealth__ObjectCaps)(CWallHealth* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CWallHealth__Use)(CWallHealth* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CHealthKit {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CHealthKit0)(void);
#endif
	void (* CHealthKit__Spawn)(CHealthKit* this);
	void (* CHealthKit__Precache)(CHealthKit* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CHealthKit__MyTouch)(CHealthKit* this, CBasePlayer*);
};

struct _vt_CWorldItem {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CWorldItem0)(void);
#endif
	void (* CWorldItem__Spawn)(CWorldItem* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CWorldItem__KeyValue)(CWorldItem* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CItem {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CItem0)(void);
#endif
	void (* CItem__Spawn)(CItem* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItem__MyTouch)(CItem* this, CBasePlayer*);
};

struct _vt_CItemThighPack {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CItemThighPack0)(void);
#endif
	void (* CItemThighPack__Spawn)(CItemThighPack* this);
	void (* CItemThighPack__Precache)(CItemThighPack* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemThighPack__MyTouch)(CItemThighPack* this, CBasePlayer*);
};

struct _vt_CItemAssaultSuit {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CItemAssaultSuit0)(void);
#endif
	void (* CItemAssaultSuit__Spawn)(CItemAssaultSuit* this);
	void (* CItemAssaultSuit__Precache)(CItemAssaultSuit* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemAssaultSuit__MyTouch)(CItemAssaultSuit* this, CBasePlayer*);
};

struct _vt_CItemKevlar {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CItemKevlar0)(void);
#endif
	void (* CItemKevlar__Spawn)(CItemKevlar* this);
	void (* CItemKevlar__Precache)(CItemKevlar* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemKevlar__MyTouch)(CItemKevlar* this, CBasePlayer*);
};

struct _vt_CItemLongJump {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CItemLongJump0)(void);
#endif
	void (* CItemLongJump__Spawn)(CItemLongJump* this);
	void (* CItemLongJump__Precache)(CItemLongJump* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemLongJump__MyTouch)(CItemLongJump* this, CBasePlayer*);
};

struct _vt_CItemSecurity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CItemSecurity0)(void);
#endif
	void (* CItemSecurity__Spawn)(CItemSecurity* this);
	void (* CItemSecurity__Precache)(CItemSecurity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemSecurity__MyTouch)(CItemSecurity* this, CBasePlayer*);
};

struct _vt_CItemAntidote {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CItemAntidote0)(void);
#endif
	void (* CItemAntidote__Spawn)(CItemAntidote* this);
	void (* CItemAntidote__Precache)(CItemAntidote* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemAntidote__MyTouch)(CItemAntidote* this, CBasePlayer*);
};

struct _vt_CItemBattery {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CItemBattery0)(void);
#endif
	void (* CItemBattery__Spawn)(CItemBattery* this);
	void (* CItemBattery__Precache)(CItemBattery* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemBattery__MyTouch)(CItemBattery* this, CBasePlayer*);
};

struct _vt_CItemSuit {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CItemSuit0)(void);
#endif
	void (* CItemSuit__Spawn)(CItemSuit* this);
	void (* CItemSuit__Precache)(CItemSuit* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CItem__Respawn)(CItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CItemSuit__MyTouch)(CItemSuit* this, CBasePlayer*);
};

struct _vt_CEnvLight {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CEnvLight0)(void);
#endif
	void (* CEnvLight__Spawn)(CEnvLight* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CLight__Restart)(CLight* this);
	void (* CEnvLight__KeyValue)(CEnvLight* this, KeyValueData_s*);
	int (* CLight__Save)(CLight* this, CSave&);
	int (* CLight__Restore)(CLight* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CLight__Use)(CLight* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CLight {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CLight0)(void);
#endif
	void (* CLight__Spawn)(CLight* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CLight__Restart)(CLight* this);
	void (* CLight__KeyValue)(CLight* this, KeyValueData_s*);
	int (* CLight__Save)(CLight* this, CSave&);
	int (* CLight__Restore)(CLight* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CLight__Use)(CLight* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGamePlayerTeam {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CGamePlayerTeam0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGamePlayerTeam__Use)(CGamePlayerTeam* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGamePlayerEquip {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CGamePlayerEquip0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CGamePlayerEquip__KeyValue)(CGamePlayerEquip* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CGamePlayerEquip__Touch)(CGamePlayerEquip* this, CBaseEntity*);
	void (* CGamePlayerEquip__Use)(CGamePlayerEquip* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGameCounterSet {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CGameCounterSet0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGameCounterSet__Use)(CGameCounterSet* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGameCounter {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CGameCounter0)(void);
#endif
	void (* CGameCounter__Spawn)(CGameCounter* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGameCounter__Use)(CGameCounter* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGamePlayerHurt {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CGamePlayerHurt0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGamePlayerHurt__Use)(CGamePlayerHurt* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGamePlayerZone {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CGamePlayerZone0)(void);
#endif
	void (* CRuleBrushEntity__Spawn)(CRuleBrushEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CGamePlayerZone__KeyValue)(CGamePlayerZone* this, KeyValueData_s*);
	int (* CGamePlayerZone__Save)(CGamePlayerZone* this, CSave&);
	int (* CGamePlayerZone__Restore)(CGamePlayerZone* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGamePlayerZone__Use)(CGamePlayerZone* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGameTeamSet {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CGameTeamSet0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGameTeamSet__Use)(CGameTeamSet* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGameTeamMaster {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CGameTeamMaster0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CGameTeamMaster__KeyValue)(CGameTeamMaster* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CGameTeamMaster__ObjectCaps)(CGameTeamMaster* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CGameTeamMaster__IsTriggered)(CGameTeamMaster* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CGameTeamMaster__TeamID)(CGameTeamMaster* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGameTeamMaster__Use)(CGameTeamMaster* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGameText {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CGameText0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CGameText__KeyValue)(CGameText* this, KeyValueData_s*);
	int (* CGameText__Save)(CGameText* this, CSave&);
	int (* CGameText__Restore)(CGameText* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGameText__Use)(CGameText* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGameEnd {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CGameEnd0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGameEnd__Use)(CGameEnd* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGameScore {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CGameScore0)(void);
#endif
	void (* CGameScore__Spawn)(CGameScore* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CGameScore__KeyValue)(CGameScore* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGameScore__Use)(CGameScore* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CRuleBrushEntity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CRuleBrushEntity0)(void);
#endif
	void (* CRuleBrushEntity__Spawn)(CRuleBrushEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CRulePointEntity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CRulePointEntity0)(void);
#endif
	void (* CRulePointEntity__Spawn)(CRulePointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CRuleEntity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CRuleEntity0)(void);
#endif
	void (* CRuleEntity__Spawn)(CRuleEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRuleEntity__KeyValue)(CRuleEntity* this, KeyValueData_s*);
	int (* CRuleEntity__Save)(CRuleEntity* this, CSave&);
	int (* CRuleEntity__Restore)(CRuleEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CMortar {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CMortar0)(void);
#endif
	void (* CMortar__Spawn)(CMortar* this);
	void (* CMortar__Precache)(CMortar* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CGrenade__Save)(CGrenade* this, CSave&);
	int (* CGrenade__Restore)(CGrenade* this, CRestore&);
	int (* CGrenade__ObjectCaps)(CGrenade* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseMonster__TakeDamage)(CBaseMonster* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CGrenade__Killed)(CGrenade* this, entvars_s*, int);
	int (* CGrenade__BloodColor)(CGrenade* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGrenade__Use)(CGrenade* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
	void (* CGrenade__BounceSound)(CGrenade* this);
};

struct _vt_CFuncMortarField {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CFuncMortarField0)(void);
#endif
	void (* CFuncMortarField__Spawn)(CFuncMortarField* this);
	void (* CFuncMortarField__Precache)(CFuncMortarField* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncMortarField__KeyValue)(CFuncMortarField* this, KeyValueData_s*);
	int (* CFuncMortarField__Save)(CFuncMortarField* this, CSave&);
	int (* CFuncMortarField__Restore)(CFuncMortarField* this, CRestore&);
	int (* CFuncMortarField__ObjectCaps)(CFuncMortarField* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CBaseMonster {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CBaseMonster0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseMonster__TakeDamage)(CBaseMonster* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CHalfLifeMultiplay {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf18CHalfLifeMultiplay0)(void);
#endif
	void (* CHalfLifeMultiplay__RefreshSkillData)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__Think)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__IsAllowedToSpawn)(CHalfLifeMultiplay* this, CBaseEntity*);
	BOOL (* CHalfLifeMultiplay__FAllowFlashlight)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__FShouldSwitchWeapon)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	BOOL (* CHalfLifeMultiplay__GetNextBestWeapon)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	BOOL (* CHalfLifeMultiplay__IsMultiplayer)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__IsDeathmatch)(CHalfLifeMultiplay* this);
	BOOL (* CGameRules__IsTeamplay)(CGameRules* this);
	BOOL (* CHalfLifeMultiplay__IsCoOp)(CHalfLifeMultiplay* this);
	const char* (* CGameRules__GetGameDescription)(CGameRules* this);
	BOOL (* CHalfLifeMultiplay__ClientConnected)(CHalfLifeMultiplay* this, edict_s*, char const*, char const*, char*);
	void (* CHalfLifeMultiplay__InitHUD)(CHalfLifeMultiplay* this, CBasePlayer*);
	void (* CHalfLifeMultiplay__ClientDisconnected)(CHalfLifeMultiplay* this, edict_s*);
	void (* CHalfLifeMultiplay__UpdateGameMode)(CHalfLifeMultiplay* this, CBasePlayer*);
	float (* CHalfLifeMultiplay__FlPlayerFallDamage)(CHalfLifeMultiplay* this, CBasePlayer*);
	BOOL (* CHalfLifeMultiplay__FPlayerCanTakeDamage)(CHalfLifeMultiplay* this, CBasePlayer*, CBaseEntity*);
	BOOL (* CGameRules__ShouldAutoAim)(CGameRules* this, CBasePlayer*, edict_s*);
	void (* CHalfLifeMultiplay__PlayerSpawn)(CHalfLifeMultiplay* this, CBasePlayer*);
	void (* CHalfLifeMultiplay__PlayerThink)(CHalfLifeMultiplay* this, CBasePlayer*);
	BOOL (* CHalfLifeMultiplay__FPlayerCanRespawn)(CHalfLifeMultiplay* this, CBasePlayer*);
	float (* CHalfLifeMultiplay__FlPlayerSpawnTime)(CHalfLifeMultiplay* this, CBasePlayer*);
	edict_t* (* CHalfLifeMultiplay__GetPlayerSpawnSpot)(CHalfLifeMultiplay* this, CBasePlayer*);
	BOOL (* CHalfLifeMultiplay__AllowAutoTargetCrosshair)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__ClientCommand_DeadOrAlive)(CHalfLifeMultiplay* this, CBasePlayer*, char const*);
	BOOL (* CHalfLifeMultiplay__ClientCommand)(CHalfLifeMultiplay* this, CBasePlayer*, char const*);
	void (* CHalfLifeMultiplay__ClientUserInfoChanged)(CHalfLifeMultiplay* this, CBasePlayer*, char*);
	int (* CHalfLifeMultiplay__IPointsForKill)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayer*);
	void (* CHalfLifeMultiplay__PlayerKilled)(CHalfLifeMultiplay* this, CBasePlayer*, entvars_s*, entvars_s*);
	void (* CHalfLifeMultiplay__DeathNotice)(CHalfLifeMultiplay* this, CBasePlayer*, entvars_s*, entvars_s*);
	BOOL (* CHalfLifeMultiplay__CanHavePlayerItem)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	void (* CHalfLifeMultiplay__PlayerGotWeapon)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	int (* CHalfLifeMultiplay__WeaponShouldRespawn)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	float (* CHalfLifeMultiplay__FlWeaponRespawnTime)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	float (* CHalfLifeMultiplay__FlWeaponTryRespawn)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	Vector& (* CHalfLifeMultiplay__VecWeaponRespawnSpot)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	BOOL (* CHalfLifeMultiplay__CanHaveItem)(CHalfLifeMultiplay* this, CBasePlayer*, CItem*);
	void (* CHalfLifeMultiplay__PlayerGotItem)(CHalfLifeMultiplay* this, CBasePlayer*, CItem*);
	int (* CHalfLifeMultiplay__ItemShouldRespawn)(CHalfLifeMultiplay* this, CItem*);
	float (* CHalfLifeMultiplay__FlItemRespawnTime)(CHalfLifeMultiplay* this, CItem*);
	Vector& (* CHalfLifeMultiplay__VecItemRespawnSpot)(CHalfLifeMultiplay* this, CItem*);
	BOOL (* CGameRules__CanHaveAmmo)(CGameRules* this, CBasePlayer*, char const*, int);
	void (* CHalfLifeMultiplay__PlayerGotAmmo)(CHalfLifeMultiplay* this, CBasePlayer*, char*, int);
	int (* CHalfLifeMultiplay__AmmoShouldRespawn)(CHalfLifeMultiplay* this, CBasePlayerAmmo*);
	float (* CHalfLifeMultiplay__FlAmmoRespawnTime)(CHalfLifeMultiplay* this, CBasePlayerAmmo*);
	Vector& (* CHalfLifeMultiplay__VecAmmoRespawnSpot)(CHalfLifeMultiplay* this, CBasePlayerAmmo*);
	float (* CHalfLifeMultiplay__FlHealthChargerRechargeTime)(CHalfLifeMultiplay* this);
	float (* CHalfLifeMultiplay__FlHEVChargerRechargeTime)(CHalfLifeMultiplay* this);
	int (* CHalfLifeMultiplay__DeadPlayerWeapons)(CHalfLifeMultiplay* this, CBasePlayer*);
	int (* CHalfLifeMultiplay__DeadPlayerAmmo)(CHalfLifeMultiplay* this, CBasePlayer*);
	const char* (* CHalfLifeMultiplay__GetTeamID)(CHalfLifeMultiplay* this, CBaseEntity*);
	int (* CHalfLifeMultiplay__PlayerRelationship)(CHalfLifeMultiplay* this, CBasePlayer*, CBaseEntity*);
	int (* CGameRules__GetTeamIndex)(CGameRules* this, char const*);
	const char* (* CGameRules__GetIndexedTeamName)(CGameRules* this, int);
	BOOL (* CGameRules__IsValidTeam)(CGameRules* this, char const*);
	void (* CGameRules__ChangePlayerTeam)(CGameRules* this, CBasePlayer*, char const*, int, int);
	const char* (* CGameRules__SetDefaultPlayerTeam)(CGameRules* this, CBasePlayer*);
	BOOL (* CHalfLifeMultiplay__PlayTextureSounds)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__FAllowMonsters)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__EndMultiplayerGame)(CHalfLifeMultiplay* this);
	BOOL (* CGameRules__IsFreezePeriod)(CGameRules* this);
	void (* CHalfLifeMultiplay__ServerDeactivate)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__CheckMapConditions)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__CleanUpMap)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__RestartRound)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__CheckWinConditions)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__RemoveGuns)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__GiveC4)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__ChangeLevel)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__GoToIntermission)(CHalfLifeMultiplay* this);
};

struct _vt_CCStrikeGameMgrHelper {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf21CCStrikeGameMgrHelper0)(void);
#endif
	void (* ___21CCStrikeGameMgrHelper1)(void);
	void (* CCStrikeGameMgrHelper__CanPlayerHearPlayer)(void* this, CBasePlayer*, CBasePlayer*);
};

struct _vt_IVoiceGameMgrHelper {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf19IVoiceGameMgrHelper0)(void);
#endif
	void (* ___19IVoiceGameMgrHelper1)(void);
	void (* __pure_virtual_off2)(void);
};

struct _vt_CMapInfo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CMapInfo0)(void);
#endif
	void (* CMapInfo__Spawn)(CMapInfo* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CMapInfo__KeyValue)(CMapInfo* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CPathCorner {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CPathCorner0)(void);
#endif
	void (* CPathCorner__Spawn)(CPathCorner* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CPathCorner__KeyValue)(CPathCorner* this, KeyValueData_s*);
	int (* CPathCorner__Save)(CPathCorner* this, CSave&);
	int (* CPathCorner__Restore)(CPathCorner* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CPathCorner__GetDelay)(CPathCorner* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CPathTrack {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CPathTrack0)(void);
#endif
	void (* CPathTrack__Spawn)(CPathTrack* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CPathTrack__KeyValue)(CPathTrack* this, KeyValueData_s*);
	int (* CPathTrack__Save)(CPathTrack* this, CSave&);
	int (* CPathTrack__Restore)(CPathTrack* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CPathTrack__Activate)(CPathTrack* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CPathTrack__Use)(CPathTrack* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CGunTarget {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CGunTarget0)(void);
#endif
	void (* CGunTarget__Spawn)(CGunTarget* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CGunTarget__Save)(CGunTarget* this, CSave&);
	int (* CGunTarget__Restore)(CGunTarget* this, CRestore&);
	int (* CGunTarget__ObjectCaps)(CGunTarget* this);
	void (* CGunTarget__Activate)(CGunTarget* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CGunTarget__Classify)(CGunTarget* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CGunTarget__TakeDamage)(CGunTarget* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CGunTarget__BloodColor)(CGunTarget* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CGunTarget__Use)(CGunTarget* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CGunTarget__BodyTarget)(CGunTarget* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CFuncTrackAuto {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CFuncTrackAuto0)(void);
#endif
	void (* CFuncTrackChange__Spawn)(CFuncTrackChange* this);
	void (* CFuncTrackChange__Precache)(CFuncTrackChange* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncTrackChange__KeyValue)(CFuncTrackChange* this, KeyValueData_s*);
	int (* CFuncTrackChange__Save)(CFuncTrackChange* this, CSave&);
	int (* CFuncTrackChange__Restore)(CFuncTrackChange* this, CRestore&);
	int (* CBasePlatTrain__ObjectCaps)(CBasePlatTrain* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CFuncTrackChange__OverrideReset)(CFuncTrackChange* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CFuncTrackChange__Touch)(CFuncTrackChange* this, CBaseEntity*);
	void (* CFuncTrackAuto__Use)(CFuncTrackAuto* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncPlat__Blocked)(CFuncPlat* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CFuncTrackChange__IsTogglePlat)(CFuncTrackChange* this);
	void (* CFuncTrackChange__GoUp)(CFuncTrackChange* this);
	void (* CFuncTrackChange__GoDown)(CFuncTrackChange* this);
	void (* CFuncTrackChange__HitTop)(CFuncTrackChange* this);
	void (* CFuncTrackChange__HitBottom)(CFuncTrackChange* this);
	void (* CFuncTrackAuto__UpdateAutoTargets)(CFuncTrackAuto* this, int);
};

struct _vt_CFuncTrackChange {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CFuncTrackChange0)(void);
#endif
	void (* CFuncTrackChange__Spawn)(CFuncTrackChange* this);
	void (* CFuncTrackChange__Precache)(CFuncTrackChange* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncTrackChange__KeyValue)(CFuncTrackChange* this, KeyValueData_s*);
	int (* CFuncTrackChange__Save)(CFuncTrackChange* this, CSave&);
	int (* CFuncTrackChange__Restore)(CFuncTrackChange* this, CRestore&);
	int (* CBasePlatTrain__ObjectCaps)(CBasePlatTrain* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CFuncTrackChange__OverrideReset)(CFuncTrackChange* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CFuncTrackChange__Touch)(CFuncTrackChange* this, CBaseEntity*);
	void (* CFuncTrackChange__Use)(CFuncTrackChange* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncPlat__Blocked)(CFuncPlat* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CFuncTrackChange__IsTogglePlat)(CFuncTrackChange* this);
	void (* CFuncTrackChange__GoUp)(CFuncTrackChange* this);
	void (* CFuncTrackChange__GoDown)(CFuncTrackChange* this);
	void (* CFuncTrackChange__HitTop)(CFuncTrackChange* this);
	void (* CFuncTrackChange__HitBottom)(CFuncTrackChange* this);
	void (* CFuncTrackChange__UpdateAutoTargets)(CFuncTrackChange* this, int);
};

struct _vt_CFuncTrainControls {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf18CFuncTrainControls0)(void);
#endif
	void (* CFuncTrainControls__Spawn)(CFuncTrainControls* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CFuncTrainControls__ObjectCaps)(CFuncTrainControls* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncTrain {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CFuncTrain0)(void);
#endif
	void (* CFuncTrain__Spawn)(CFuncTrain* this);
	void (* CFuncTrain__Precache)(CFuncTrain* this);
	void (* CFuncTrain__Restart)(CFuncTrain* this);
	void (* CFuncTrain__KeyValue)(CFuncTrain* this, KeyValueData_s*);
	int (* CFuncTrain__Save)(CFuncTrain* this, CSave&);
	int (* CFuncTrain__Restore)(CFuncTrain* this, CRestore&);
	int (* CBasePlatTrain__ObjectCaps)(CBasePlatTrain* this);
	void (* CFuncTrain__Activate)(CFuncTrain* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CFuncTrain__OverrideReset)(CFuncTrain* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTrain__Use)(CFuncTrain* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncTrain__Blocked)(CFuncTrain* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlatTrain__IsTogglePlat)(CBasePlatTrain* this);
};

struct _vt_CFuncPlatRot {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CFuncPlatRot0)(void);
#endif
	void (* CFuncPlatRot__Spawn)(CFuncPlatRot* this);
	void (* CFuncPlat__Precache)(CFuncPlat* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBasePlatTrain__KeyValue)(CBasePlatTrain* this, KeyValueData_s*);
	int (* CFuncPlatRot__Save)(CFuncPlatRot* this, CSave&);
	int (* CFuncPlatRot__Restore)(CFuncPlatRot* this, CRestore&);
	int (* CBasePlatTrain__ObjectCaps)(CBasePlatTrain* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncPlat__Blocked)(CFuncPlat* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlatTrain__IsTogglePlat)(CBasePlatTrain* this);
	void (* CFuncPlatRot__GoUp)(CFuncPlatRot* this);
	void (* CFuncPlatRot__GoDown)(CFuncPlatRot* this);
	void (* CFuncPlatRot__HitTop)(CFuncPlatRot* this);
	void (* CFuncPlatRot__HitBottom)(CFuncPlatRot* this);
};

struct _vt_CPlatTrigger {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CPlatTrigger0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPlatTrigger__ObjectCaps)(CPlatTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CPlatTrigger__Touch)(CPlatTrigger* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncPlat {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CFuncPlat0)(void);
#endif
	void (* CFuncPlat__Spawn)(CFuncPlat* this);
	void (* CFuncPlat__Precache)(CFuncPlat* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBasePlatTrain__KeyValue)(CBasePlatTrain* this, KeyValueData_s*);
	int (* CBasePlatTrain__Save)(CBasePlatTrain* this, CSave&);
	int (* CBasePlatTrain__Restore)(CBasePlatTrain* this, CRestore&);
	int (* CBasePlatTrain__ObjectCaps)(CBasePlatTrain* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncPlat__Blocked)(CFuncPlat* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlatTrain__IsTogglePlat)(CBasePlatTrain* this);
	void (* CFuncPlat__GoUp)(CFuncPlat* this);
	void (* CFuncPlat__GoDown)(CFuncPlat* this);
	void (* CFuncPlat__HitTop)(CFuncPlat* this);
	void (* CFuncPlat__HitBottom)(CFuncPlat* this);
};

struct _vt_CBasePlatTrain {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CBasePlatTrain0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBasePlatTrain__Precache)(CBasePlatTrain* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBasePlatTrain__KeyValue)(CBasePlatTrain* this, KeyValueData_s*);
	int (* CBasePlatTrain__Save)(CBasePlatTrain* this, CSave&);
	int (* CBasePlatTrain__Restore)(CBasePlatTrain* this, CRestore&);
	int (* CBasePlatTrain__ObjectCaps)(CBasePlatTrain* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlatTrain__IsTogglePlat)(CBasePlatTrain* this);
};

struct _vt_CFuncTrackTrain {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CFuncTrackTrain0)(void);
#endif
	void (* CFuncTrackTrain__Spawn)(CFuncTrackTrain* this);
	void (* CFuncTrackTrain__Precache)(CFuncTrackTrain* this);
	void (* CFuncTrackTrain__Restart)(CFuncTrackTrain* this);
	void (* CFuncTrackTrain__KeyValue)(CFuncTrackTrain* this, KeyValueData_s*);
	int (* CFuncTrackTrain__Save)(CFuncTrackTrain* this, CSave&);
	int (* CFuncTrackTrain__Restore)(CFuncTrackTrain* this, CRestore&);
	int (* CFuncTrackTrain__ObjectCaps)(CFuncTrackTrain* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CFuncTrackTrain__OverrideReset)(CFuncTrackTrain* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CFuncTrackTrain__OnControls)(CFuncTrackTrain* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncTrackTrain__Use)(CFuncTrackTrain* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncTrackTrain__Blocked)(CFuncTrackTrain* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CInfoIntermission {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf17CInfoIntermission0)(void);
#endif
	void (* CInfoIntermission__Spawn)(CInfoIntermission* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CInfoIntermission__Think)(CInfoIntermission* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CRevertSaved {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CRevertSaved0)(void);
#endif
	void (* CPointEntity__Spawn)(CPointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CRevertSaved__KeyValue)(CRevertSaved* this, KeyValueData_s*);
	int (* CRevertSaved__Save)(CRevertSaved* this, CSave&);
	int (* CRevertSaved__Restore)(CRevertSaved* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CRevertSaved__Use)(CRevertSaved* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CStripWeapons {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CStripWeapons0)(void);
#endif
	void (* CPointEntity__Spawn)(CPointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CStripWeapons__Use)(CStripWeapons* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CDeadHEV {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CDeadHEV0)(void);
#endif
	void (* CDeadHEV__Spawn)(CDeadHEV* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CDeadHEV__KeyValue)(CDeadHEV* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CDeadHEV__Classify)(CDeadHEV* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseMonster__TakeDamage)(CBaseMonster* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (* CBaseMonster__Killed)(CBaseMonster* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseMonster__IsAlive)(CBaseMonster* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CSprayCan {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CSprayCan0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CSprayCan__ObjectCaps)(CSprayCan* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CSprayCan__Think)(CSprayCan* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CWShield {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CWShield0)(void);
#endif
	void (* CWShield__Spawn)(CWShield* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CWShield__Touch)(CWShield* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBasePlayer {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CBasePlayer0)(void);
#endif
	void (* CBasePlayer__Spawn)(CBasePlayer* this);
	void (* CBasePlayer__Precache)(CBasePlayer* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	int (* CBasePlayer__Save)(CBasePlayer* this, CSave&);
	int (* CBasePlayer__Restore)(CBasePlayer* this, CRestore&);
	int (* CBasePlayer__ObjectCaps)(CBasePlayer* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBasePlayer__Classify)(CBasePlayer* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBasePlayer__TraceAttack)(CBasePlayer* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBasePlayer__TakeDamage)(CBasePlayer* this, entvars_s*, entvars_s*, float, int);
	int (* CBasePlayer__TakeHealth)(CBasePlayer* this, float, int);
	void (* CBasePlayer__Killed)(CBasePlayer* this, entvars_s*, int);
	int (* CBaseMonster__BloodColor)(CBaseMonster* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBasePlayer__AddPoints)(CBasePlayer* this, int, int);
	void (* CBasePlayer__AddPointsToTeam)(CBasePlayer* this, int, int);
	BOOL (* CBasePlayer__AddPlayerItem)(CBasePlayer* this, CBasePlayerItem*);
	BOOL (* CBasePlayer__RemovePlayerItem)(CBasePlayer* this, CBasePlayerItem*);
	int (* CBasePlayer__GiveAmmo)(CBasePlayer* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBasePlayer__StartSneaking)(CBasePlayer* this);
	void (* CBasePlayer__StopSneaking)(CBasePlayer* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBasePlayer__IsSneaking)(CBasePlayer* this);
	BOOL (* CBasePlayer__IsAlive)(CBasePlayer* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBasePlayer__IsPlayer)(CBasePlayer* this);
	BOOL (* CBasePlayer__IsNetClient)(CBasePlayer* this);
	const char* (* CBasePlayer__TeamID)(CBasePlayer* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBasePlayer__FBecomeProne)(CBasePlayer* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBasePlayer__BodyTarget)(CBasePlayer* this, Vector const&);
	int (* CBasePlayer__Illumination)(CBasePlayer* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	float (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	BOOL (* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	BOOL (* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (* CBaseMonster__GibMonster)(CBaseMonster* this);
	Activity (* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this);
	BOOL (* CBasePlayer__ShouldFadeOnDeath)(CBasePlayer* this);
	int (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (* CBaseMonster__PainSound)(CBaseMonster* this);
	void (* CBasePlayer__ResetMaxSpeed)(CBasePlayer* this);
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (* CBaseMonster__Look)(CBaseMonster* this, int);
	CBaseEntity* (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	BOOL (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	BOOL (* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
	void (* CBasePlayer__Jump)(CBasePlayer* this);
	void (* CBasePlayer__Duck)(CBasePlayer* this);
	void (* CBasePlayer__PreThink)(CBasePlayer* this);
	void (* CBasePlayer__PostThink)(CBasePlayer* this);
	void (* CBasePlayer__GetGunPosition)(CBasePlayer* this);
	void (* CBasePlayer__IsBot)(CBasePlayer* this);
	void (* CBasePlayer__UpdateClientData)(CBasePlayer* this);
	void (* CBasePlayer__ImpulseCommands)(CBasePlayer* this);
	void (* CBasePlayer__RoundRespawn)(CBasePlayer* this);
	void (* CBasePlayer__GetAutoaimVector)(CBasePlayer* this, float);
	void (* CBasePlayer__Blind)(CBasePlayer* this, float, float, float, int);
	void (* CBasePlayer__OnTouchingWeapon)(CBasePlayer* this, CWeaponBox*);
};

struct _vt_CBloodSplat {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CBloodSplat0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CHalfLifeRules {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CHalfLifeRules0)(void);
#endif
	void (* CGameRules__RefreshSkillData)(CGameRules* this);
	void (* CHalfLifeRules__Think)(CHalfLifeRules* this);
	BOOL (* CHalfLifeRules__IsAllowedToSpawn)(CHalfLifeRules* this, CBaseEntity*);
	BOOL (* CHalfLifeRules__FAllowFlashlight)(CHalfLifeRules* this);
	BOOL (* CHalfLifeRules__FShouldSwitchWeapon)(CHalfLifeRules* this, CBasePlayer*, CBasePlayerItem*);
	BOOL (* CHalfLifeRules__GetNextBestWeapon)(CHalfLifeRules* this, CBasePlayer*, CBasePlayerItem*);
	BOOL (* CHalfLifeRules__IsMultiplayer)(CHalfLifeRules* this);
	BOOL (* CHalfLifeRules__IsDeathmatch)(CHalfLifeRules* this);
	BOOL (* CGameRules__IsTeamplay)(CGameRules* this);
	BOOL (* CHalfLifeRules__IsCoOp)(CHalfLifeRules* this);
	const char* (* CGameRules__GetGameDescription)(CGameRules* this);
	BOOL (* CHalfLifeRules__ClientConnected)(CHalfLifeRules* this, edict_s*, char const*, char const*, char*);
	void (* CHalfLifeRules__InitHUD)(CHalfLifeRules* this, CBasePlayer*);
	void (* CHalfLifeRules__ClientDisconnected)(CHalfLifeRules* this, edict_s*);
	void (* CGameRules__UpdateGameMode)(CGameRules* this, CBasePlayer*);
	float (* CHalfLifeRules__FlPlayerFallDamage)(CHalfLifeRules* this, CBasePlayer*);
	BOOL (* CGameRules__FPlayerCanTakeDamage)(CGameRules* this, CBasePlayer*, CBaseEntity*);
	BOOL (* CGameRules__ShouldAutoAim)(CGameRules* this, CBasePlayer*, edict_s*);
	void (* CHalfLifeRules__PlayerSpawn)(CHalfLifeRules* this, CBasePlayer*);
	void (* CHalfLifeRules__PlayerThink)(CHalfLifeRules* this, CBasePlayer*);
	BOOL (* CHalfLifeRules__FPlayerCanRespawn)(CHalfLifeRules* this, CBasePlayer*);
	float (* CHalfLifeRules__FlPlayerSpawnTime)(CHalfLifeRules* this, CBasePlayer*);
	edict_t* (* CHalfLifeRules__GetPlayerSpawnSpot)(CHalfLifeRules* this, CBasePlayer*);
	BOOL (* CHalfLifeRules__AllowAutoTargetCrosshair)(CHalfLifeRules* this);
	BOOL (* CGameRules__ClientCommand_DeadOrAlive)(CGameRules* this, CBasePlayer*, char const*);
	BOOL (* CGameRules__ClientCommand)(CGameRules* this, CBasePlayer*, char const*);
	void (* CGameRules__ClientUserInfoChanged)(CGameRules* this, CBasePlayer*, char*);
	int (* CHalfLifeRules__IPointsForKill)(CHalfLifeRules* this, CBasePlayer*, CBasePlayer*);
	void (* CHalfLifeRules__PlayerKilled)(CHalfLifeRules* this, CBasePlayer*, entvars_s*, entvars_s*);
	void (* CHalfLifeRules__DeathNotice)(CHalfLifeRules* this, CBasePlayer*, entvars_s*, entvars_s*);
	BOOL (* CGameRules__CanHavePlayerItem)(CGameRules* this, CBasePlayer*, CBasePlayerItem*);
	void (* CHalfLifeRules__PlayerGotWeapon)(CHalfLifeRules* this, CBasePlayer*, CBasePlayerItem*);
	int (* CHalfLifeRules__WeaponShouldRespawn)(CHalfLifeRules* this, CBasePlayerItem*);
	float (* CHalfLifeRules__FlWeaponRespawnTime)(CHalfLifeRules* this, CBasePlayerItem*);
	float (* CHalfLifeRules__FlWeaponTryRespawn)(CHalfLifeRules* this, CBasePlayerItem*);
	Vector& (* CHalfLifeRules__VecWeaponRespawnSpot)(CHalfLifeRules* this, CBasePlayerItem*);
	BOOL (* CHalfLifeRules__CanHaveItem)(CHalfLifeRules* this, CBasePlayer*, CItem*);
	void (* CHalfLifeRules__PlayerGotItem)(CHalfLifeRules* this, CBasePlayer*, CItem*);
	int (* CHalfLifeRules__ItemShouldRespawn)(CHalfLifeRules* this, CItem*);
	float (* CHalfLifeRules__FlItemRespawnTime)(CHalfLifeRules* this, CItem*);
	Vector& (* CHalfLifeRules__VecItemRespawnSpot)(CHalfLifeRules* this, CItem*);
	BOOL (* CGameRules__CanHaveAmmo)(CGameRules* this, CBasePlayer*, char const*, int);
	void (* CHalfLifeRules__PlayerGotAmmo)(CHalfLifeRules* this, CBasePlayer*, char*, int);
	int (* CHalfLifeRules__AmmoShouldRespawn)(CHalfLifeRules* this, CBasePlayerAmmo*);
	float (* CHalfLifeRules__FlAmmoRespawnTime)(CHalfLifeRules* this, CBasePlayerAmmo*);
	Vector& (* CHalfLifeRules__VecAmmoRespawnSpot)(CHalfLifeRules* this, CBasePlayerAmmo*);
	float (* CHalfLifeRules__FlHealthChargerRechargeTime)(CHalfLifeRules* this);
	float (* CGameRules__FlHEVChargerRechargeTime)(CGameRules* this);
	int (* CHalfLifeRules__DeadPlayerWeapons)(CHalfLifeRules* this, CBasePlayer*);
	int (* CHalfLifeRules__DeadPlayerAmmo)(CHalfLifeRules* this, CBasePlayer*);
	const char* (* CHalfLifeRules__GetTeamID)(CHalfLifeRules* this, CBaseEntity*);
	int (* CHalfLifeRules__PlayerRelationship)(CHalfLifeRules* this, CBasePlayer*, CBaseEntity*);
	int (* CGameRules__GetTeamIndex)(CGameRules* this, char const*);
	const char* (* CGameRules__GetIndexedTeamName)(CGameRules* this, int);
	BOOL (* CGameRules__IsValidTeam)(CGameRules* this, char const*);
	void (* CGameRules__ChangePlayerTeam)(CGameRules* this, CBasePlayer*, char const*, int, int);
	const char* (* CGameRules__SetDefaultPlayerTeam)(CGameRules* this, CBasePlayer*);
	BOOL (* CGameRules__PlayTextureSounds)(CGameRules* this);
	BOOL (* CHalfLifeRules__FAllowMonsters)(CHalfLifeRules* this);
	BOOL (* CGameRules__EndMultiplayerGame)(CGameRules* this);
	BOOL (* CGameRules__IsFreezePeriod)(CGameRules* this);
	void (* CGameRules__ServerDeactivate)(CGameRules* this);
	void (* CGameRules__CheckMapConditions)(CGameRules* this);
};

struct _vt_CSpeaker {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CSpeaker0)(void);
#endif
	void (* CSpeaker__Spawn)(CSpeaker* this);
	void (* CSpeaker__Precache)(CSpeaker* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CSpeaker__KeyValue)(CSpeaker* this, KeyValueData_s*);
	int (* CSpeaker__Save)(CSpeaker* this, CSave&);
	int (* CSpeaker__Restore)(CSpeaker* this, CRestore&);
	int (* CSpeaker__ObjectCaps)(CSpeaker* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CEnvSound {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CEnvSound0)(void);
#endif
	void (* CEnvSound__Spawn)(CEnvSound* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CEnvSound__KeyValue)(CEnvSound* this, KeyValueData_s*);
	int (* CEnvSound__Save)(CEnvSound* this, CSave&);
	int (* CEnvSound__Restore)(CEnvSound* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CEnvSound__Think)(CEnvSound* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CAmbientGeneric {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CAmbientGeneric0)(void);
#endif
	void (* CAmbientGeneric__Spawn)(CAmbientGeneric* this);
	void (* CAmbientGeneric__Precache)(CAmbientGeneric* this);
	void (* CAmbientGeneric__Restart)(CAmbientGeneric* this);
	void (* CAmbientGeneric__KeyValue)(CAmbientGeneric* this, KeyValueData_s*);
	int (* CAmbientGeneric__Save)(CAmbientGeneric* this, CSave&);
	int (* CAmbientGeneric__Restore)(CAmbientGeneric* this, CRestore&);
	int (* CAmbientGeneric__ObjectCaps)(CAmbientGeneric* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CSoundEnt {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf9CSoundEnt0)(void);
#endif
	void (* CSoundEnt__Spawn)(CSoundEnt* this);
	void (* CSoundEnt__Precache)(CSoundEnt* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CSoundEnt__ObjectCaps)(CSoundEnt* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CSoundEnt__Think)(CSoundEnt* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBaseSpectator {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CBaseSpectator0)(void);
#endif
	void (* CBaseSpectator__Spawn)(CBaseSpectator* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBaseDMStart {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CBaseDMStart0)(void);
#endif
	void (* CPointEntity__Spawn)(CPointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDMStart__KeyValue)(CBaseDMStart* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseDMStart__IsTriggered)(CBaseDMStart* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CNullEntity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CNullEntity0)(void);
#endif
	void (* CNullEntity__Spawn)(CNullEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBaseToggle {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CBaseToggle0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseToggle__KeyValue)(CBaseToggle* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CBaseDelay {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CBaseDelay0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBaseDelay__Save)(CBaseDelay* this, CSave&);
	int (* CBaseDelay__Restore)(CBaseDelay* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CPointEntity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CPointEntity0)(void);
#endif
	void (* CPointEntity__Spawn)(CPointEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncWeaponCheck {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CFuncWeaponCheck0)(void);
#endif
	void (* CFuncWeaponCheck__Spawn)(CFuncWeaponCheck* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFuncWeaponCheck__KeyValue)(CFuncWeaponCheck* this, KeyValueData_s*);
	int (* CFuncWeaponCheck__Save)(CFuncWeaponCheck* this, CSave&);
	int (* CFuncWeaponCheck__Restore)(CFuncWeaponCheck* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CFuncWeaponCheck__Touch)(CFuncWeaponCheck* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBaseGrenCatch {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CBaseGrenCatch0)(void);
#endif
	void (* CBaseGrenCatch__Spawn)(CBaseGrenCatch* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseGrenCatch__KeyValue)(CBaseGrenCatch* this, KeyValueData_s*);
	int (* CBaseGrenCatch__Save)(CBaseGrenCatch* this, CSave&);
	int (* CBaseGrenCatch__Restore)(CBaseGrenCatch* this, CRestore&);
	int (* CBaseGrenCatch__ObjectCaps)(CBaseGrenCatch* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseGrenCatch__Think)(CBaseGrenCatch* this);
	void (* CBaseGrenCatch__Touch)(CBaseGrenCatch* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CHalfLifeTraining {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf17CHalfLifeTraining0)(void);
#endif
	void (* CHalfLifeMultiplay__RefreshSkillData)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__Think)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__IsAllowedToSpawn)(CHalfLifeMultiplay* this, CBaseEntity*);
	BOOL (* CHalfLifeMultiplay__FAllowFlashlight)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__FShouldSwitchWeapon)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	BOOL (* CHalfLifeMultiplay__GetNextBestWeapon)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	BOOL (* CHalfLifeTraining__IsMultiplayer)(CHalfLifeTraining* this);
	BOOL (* CHalfLifeTraining__IsDeathmatch)(CHalfLifeTraining* this);
	BOOL (* CGameRules__IsTeamplay)(CGameRules* this);
	BOOL (* CHalfLifeMultiplay__IsCoOp)(CHalfLifeMultiplay* this);
	const char* (* CGameRules__GetGameDescription)(CGameRules* this);
	BOOL (* CHalfLifeMultiplay__ClientConnected)(CHalfLifeMultiplay* this, edict_s*, char const*, char const*, char*);
	void (* CHalfLifeTraining__InitHUD)(CHalfLifeTraining* this, CBasePlayer*);
	void (* CHalfLifeMultiplay__ClientDisconnected)(CHalfLifeMultiplay* this, edict_s*);
	void (* CHalfLifeMultiplay__UpdateGameMode)(CHalfLifeMultiplay* this, CBasePlayer*);
	float (* CHalfLifeMultiplay__FlPlayerFallDamage)(CHalfLifeMultiplay* this, CBasePlayer*);
	BOOL (* CHalfLifeMultiplay__FPlayerCanTakeDamage)(CHalfLifeMultiplay* this, CBasePlayer*, CBaseEntity*);
	BOOL (* CGameRules__ShouldAutoAim)(CGameRules* this, CBasePlayer*, edict_s*);
	void (* CHalfLifeTraining__PlayerSpawn)(CHalfLifeTraining* this, CBasePlayer*);
	void (* CHalfLifeTraining__PlayerThink)(CHalfLifeTraining* this, CBasePlayer*);
	BOOL (* CHalfLifeTraining__FPlayerCanRespawn)(CHalfLifeTraining* this, CBasePlayer*);
	float (* CHalfLifeMultiplay__FlPlayerSpawnTime)(CHalfLifeMultiplay* this, CBasePlayer*);
	edict_t* (* CHalfLifeTraining__GetPlayerSpawnSpot)(CHalfLifeTraining* this, CBasePlayer*);
	BOOL (* CHalfLifeMultiplay__AllowAutoTargetCrosshair)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__ClientCommand_DeadOrAlive)(CHalfLifeMultiplay* this, CBasePlayer*, char const*);
	BOOL (* CHalfLifeMultiplay__ClientCommand)(CHalfLifeMultiplay* this, CBasePlayer*, char const*);
	void (* CHalfLifeMultiplay__ClientUserInfoChanged)(CHalfLifeMultiplay* this, CBasePlayer*, char*);
	int (* CHalfLifeMultiplay__IPointsForKill)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayer*);
	void (* CHalfLifeTraining__PlayerKilled)(CHalfLifeTraining* this, CBasePlayer*, entvars_s*, entvars_s*);
	void (* CHalfLifeMultiplay__DeathNotice)(CHalfLifeMultiplay* this, CBasePlayer*, entvars_s*, entvars_s*);
	BOOL (* CHalfLifeMultiplay__CanHavePlayerItem)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	void (* CHalfLifeMultiplay__PlayerGotWeapon)(CHalfLifeMultiplay* this, CBasePlayer*, CBasePlayerItem*);
	int (* CHalfLifeMultiplay__WeaponShouldRespawn)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	float (* CHalfLifeMultiplay__FlWeaponRespawnTime)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	float (* CHalfLifeMultiplay__FlWeaponTryRespawn)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	Vector& (* CHalfLifeMultiplay__VecWeaponRespawnSpot)(CHalfLifeMultiplay* this, CBasePlayerItem*);
	BOOL (* CHalfLifeMultiplay__CanHaveItem)(CHalfLifeMultiplay* this, CBasePlayer*, CItem*);
	void (* CHalfLifeMultiplay__PlayerGotItem)(CHalfLifeMultiplay* this, CBasePlayer*, CItem*);
	int (* CHalfLifeTraining__ItemShouldRespawn)(CHalfLifeTraining* this, CItem*);
	float (* CHalfLifeMultiplay__FlItemRespawnTime)(CHalfLifeMultiplay* this, CItem*);
	Vector& (* CHalfLifeMultiplay__VecItemRespawnSpot)(CHalfLifeMultiplay* this, CItem*);
	BOOL (* CGameRules__CanHaveAmmo)(CGameRules* this, CBasePlayer*, char const*, int);
	void (* CHalfLifeMultiplay__PlayerGotAmmo)(CHalfLifeMultiplay* this, CBasePlayer*, char*, int);
	int (* CHalfLifeMultiplay__AmmoShouldRespawn)(CHalfLifeMultiplay* this, CBasePlayerAmmo*);
	float (* CHalfLifeMultiplay__FlAmmoRespawnTime)(CHalfLifeMultiplay* this, CBasePlayerAmmo*);
	Vector& (* CHalfLifeMultiplay__VecAmmoRespawnSpot)(CHalfLifeMultiplay* this, CBasePlayerAmmo*);
	float (* CHalfLifeMultiplay__FlHealthChargerRechargeTime)(CHalfLifeMultiplay* this);
	float (* CHalfLifeMultiplay__FlHEVChargerRechargeTime)(CHalfLifeMultiplay* this);
	int (* CHalfLifeMultiplay__DeadPlayerWeapons)(CHalfLifeMultiplay* this, CBasePlayer*);
	int (* CHalfLifeMultiplay__DeadPlayerAmmo)(CHalfLifeMultiplay* this, CBasePlayer*);
	const char* (* CHalfLifeMultiplay__GetTeamID)(CHalfLifeMultiplay* this, CBaseEntity*);
	int (* CHalfLifeMultiplay__PlayerRelationship)(CHalfLifeMultiplay* this, CBasePlayer*, CBaseEntity*);
	int (* CGameRules__GetTeamIndex)(CGameRules* this, char const*);
	const char* (* CGameRules__GetIndexedTeamName)(CGameRules* this, int);
	BOOL (* CGameRules__IsValidTeam)(CGameRules* this, char const*);
	void (* CGameRules__ChangePlayerTeam)(CGameRules* this, CBasePlayer*, char const*, int, int);
	const char* (* CGameRules__SetDefaultPlayerTeam)(CGameRules* this, CBasePlayer*);
	BOOL (* CHalfLifeMultiplay__PlayTextureSounds)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__FAllowMonsters)(CHalfLifeMultiplay* this);
	BOOL (* CHalfLifeMultiplay__EndMultiplayerGame)(CHalfLifeMultiplay* this);
	BOOL (* CGameRules__IsFreezePeriod)(CGameRules* this);
	void (* CHalfLifeMultiplay__ServerDeactivate)(CHalfLifeMultiplay* this);
	void (* CHalfLifeTraining__CheckMapConditions)(CHalfLifeTraining* this);
	void (* CHalfLifeMultiplay__CleanUpMap)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__RestartRound)(CHalfLifeMultiplay* this);
	void (* CHalfLifeTraining__CheckWinConditions)(CHalfLifeTraining* this);
	void (* CHalfLifeMultiplay__RemoveGuns)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__GiveC4)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__ChangeLevel)(CHalfLifeMultiplay* this);
	void (* CHalfLifeMultiplay__GoToIntermission)(CHalfLifeMultiplay* this);
};

struct _vt_CWeather {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CWeather0)(void);
#endif
	void (* CWeather__Spawn)(CWeather* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerCamera {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CTriggerCamera0)(void);
#endif
	void (* CTriggerCamera__Spawn)(CTriggerCamera* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CTriggerCamera__KeyValue)(CTriggerCamera* this, KeyValueData_s*);
	int (* CTriggerCamera__Save)(CTriggerCamera* this, CSave&);
	int (* CTriggerCamera__Restore)(CTriggerCamera* this, CRestore&);
	int (* CTriggerCamera__ObjectCaps)(CTriggerCamera* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CTriggerCamera__Use)(CTriggerCamera* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CTriggerChangeTarget {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf20CTriggerChangeTarget0)(void);
#endif
	void (* CTriggerChangeTarget__Spawn)(CTriggerChangeTarget* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CTriggerChangeTarget__KeyValue)(CTriggerChangeTarget* this, KeyValueData_s*);
	int (* CTriggerChangeTarget__Save)(CTriggerChangeTarget* this, CSave&);
	int (* CTriggerChangeTarget__Restore)(CTriggerChangeTarget* this, CRestore&);
	int (* CTriggerChangeTarget__ObjectCaps)(CTriggerChangeTarget* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CTriggerChangeTarget__Use)(CTriggerChangeTarget* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CTriggerGravity {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CTriggerGravity0)(void);
#endif
	void (* CTriggerGravity__Spawn)(CTriggerGravity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerEndSection {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf18CTriggerEndSection0)(void);
#endif
	void (* CTriggerEndSection__Spawn)(CTriggerEndSection* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CTriggerEndSection__KeyValue)(CTriggerEndSection* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerSave {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CTriggerSave0)(void);
#endif
	void (* CTriggerSave__Spawn)(CTriggerSave* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CVIP_SafetyZone {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CVIP_SafetyZone0)(void);
#endif
	void (* CVIP_SafetyZone__Spawn)(CVIP_SafetyZone* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CEscapeZone {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CEscapeZone0)(void);
#endif
	void (* CEscapeZone__Spawn)(CEscapeZone* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CBombTarget {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CBombTarget0)(void);
#endif
	void (* CBombTarget__Spawn)(CBombTarget* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CBuyZone {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CBuyZone0)(void);
#endif
	void (* CBuyZone__Spawn)(CBuyZone* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerTeleport {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CTriggerTeleport0)(void);
#endif
	void (* CTriggerTeleport__Spawn)(CTriggerTeleport* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerPush {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CTriggerPush0)(void);
#endif
	void (* CTriggerPush__Spawn)(CTriggerPush* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CTriggerPush__KeyValue)(CTriggerPush* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CTriggerPush__Touch)(CTriggerPush* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CLadder {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CLadder0)(void);
#endif
	void (* CLadder__Spawn)(CLadder* this);
	void (* CLadder__Precache)(CLadder* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CLadder__KeyValue)(CLadder* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CChangeLevel {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CChangeLevel0)(void);
#endif
	void (* CChangeLevel__Spawn)(CChangeLevel* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CChangeLevel__KeyValue)(CChangeLevel* this, KeyValueData_s*);
	int (* CChangeLevel__Save)(CChangeLevel* this, CSave&);
	int (* CChangeLevel__Restore)(CChangeLevel* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CFireAndDie {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CFireAndDie0)(void);
#endif
	void (* CFireAndDie__Spawn)(CFireAndDie* this);
	void (* CFireAndDie__Precache)(CFireAndDie* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBaseDelay__Save)(CBaseDelay* this, CSave&);
	int (* CBaseDelay__Restore)(CBaseDelay* this, CRestore&);
	int (* CFireAndDie__ObjectCaps)(CFireAndDie* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CFireAndDie__Think)(CFireAndDie* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CTriggerVolume {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CTriggerVolume0)(void);
#endif
	void (* CTriggerVolume__Spawn)(CTriggerVolume* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CTriggerCounter {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CTriggerCounter0)(void);
#endif
	void (* CTriggerCounter__Spawn)(CTriggerCounter* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerOnce {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CTriggerOnce0)(void);
#endif
	void (* CTriggerOnce__Spawn)(CTriggerOnce* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerMultiple {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CTriggerMultiple0)(void);
#endif
	void (* CTriggerMultiple__Spawn)(CTriggerMultiple* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTargetCDAudio {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf14CTargetCDAudio0)(void);
#endif
	void (* CTargetCDAudio__Spawn)(CTargetCDAudio* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CTargetCDAudio__KeyValue)(CTargetCDAudio* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CPointEntity__ObjectCaps)(CPointEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CTargetCDAudio__Think)(CTargetCDAudio* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CTargetCDAudio__Use)(CTargetCDAudio* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CTriggerCDAudio {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CTriggerCDAudio0)(void);
#endif
	void (* CTriggerCDAudio__Spawn)(CTriggerCDAudio* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CTriggerCDAudio__Touch)(CTriggerCDAudio* this, CBaseEntity*);
	void (* CTriggerCDAudio__Use)(CTriggerCDAudio* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerMonsterJump {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf19CTriggerMonsterJump0)(void);
#endif
	void (* CTriggerMonsterJump__Spawn)(CTriggerMonsterJump* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CTriggerMonsterJump__Think)(CTriggerMonsterJump* this);
	void (* CTriggerMonsterJump__Touch)(CTriggerMonsterJump* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerHurt {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CTriggerHurt0)(void);
#endif
	void (* CTriggerHurt__Spawn)(CTriggerHurt* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CBaseTrigger {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CBaseTrigger0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseTrigger__KeyValue)(CBaseTrigger* this, KeyValueData_s*);
	int (* CBaseToggle__Save)(CBaseToggle* this, CSave&);
	int (* CBaseToggle__Restore)(CBaseToggle* this, CRestore&);
	int (* CBaseTrigger__ObjectCaps)(CBaseTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CRenderFxManager {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf16CRenderFxManager0)(void);
#endif
	void (* CRenderFxManager__Spawn)(CRenderFxManager* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CRenderFxManager__Use)(CRenderFxManager* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CMultiManager {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CMultiManager0)(void);
#endif
	void (* CMultiManager__Spawn)(CMultiManager* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CMultiManager__Restart)(CMultiManager* this);
	void (* CMultiManager__KeyValue)(CMultiManager* this, KeyValueData_s*);
	int (* CMultiManager__Save)(CMultiManager* this, CSave&);
	int (* CMultiManager__Restore)(CMultiManager* this, CRestore&);
	int (* CMultiManager__ObjectCaps)(CMultiManager* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseToggle__GetDelay)(CBaseToggle* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CMultiManager__HasTarget)(CMultiManager* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
};

struct _vt_CTriggerRelay {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CTriggerRelay0)(void);
#endif
	void (* CTriggerRelay__Spawn)(CTriggerRelay* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CTriggerRelay__KeyValue)(CTriggerRelay* this, KeyValueData_s*);
	int (* CTriggerRelay__Save)(CTriggerRelay* this, CSave&);
	int (* CTriggerRelay__Restore)(CTriggerRelay* this, CRestore&);
	int (* CTriggerRelay__ObjectCaps)(CTriggerRelay* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CTriggerRelay__Use)(CTriggerRelay* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CAutoTrigger {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CAutoTrigger0)(void);
#endif
	void (* CAutoTrigger__Spawn)(CAutoTrigger* this);
	void (* CAutoTrigger__Precache)(CAutoTrigger* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CAutoTrigger__KeyValue)(CAutoTrigger* this, KeyValueData_s*);
	int (* CAutoTrigger__Save)(CAutoTrigger* this, CSave&);
	int (* CAutoTrigger__Restore)(CAutoTrigger* this, CRestore&);
	int (* CAutoTrigger__ObjectCaps)(CAutoTrigger* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CAutoTrigger__Think)(CAutoTrigger* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFrictionModifier {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf17CFrictionModifier0)(void);
#endif
	void (* CFrictionModifier__Spawn)(CFrictionModifier* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CFrictionModifier__KeyValue)(CFrictionModifier* this, KeyValueData_s*);
	int (* CFrictionModifier__Save)(CFrictionModifier* this, CSave&);
	int (* CFrictionModifier__Restore)(CFrictionModifier* this, CRestore&);
	int (* CFrictionModifier__ObjectCaps)(CFrictionModifier* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CClientFog {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CClientFog0)(void);
#endif
	void (* CClientFog__Spawn)(CClientFog* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CClientFog__KeyValue)(CClientFog* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncVehicleControls {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf20CFuncVehicleControls0)(void);
#endif
	void (* CFuncVehicleControls__Spawn)(CFuncVehicleControls* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CFuncVehicleControls__ObjectCaps)(CFuncVehicleControls* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CFuncVehicle {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf12CFuncVehicle0)(void);
#endif
	void (* CFuncVehicle__Spawn)(CFuncVehicle* this);
	void (* CFuncVehicle__Precache)(CFuncVehicle* this);
	void (* CFuncVehicle__Restart)(CFuncVehicle* this);
	void (* CFuncVehicle__KeyValue)(CFuncVehicle* this, KeyValueData_s*);
	int (* CFuncVehicle__Save)(CFuncVehicle* this, CSave&);
	int (* CFuncVehicle__Restore)(CFuncVehicle* this, CRestore&);
	int (* CFuncVehicle__ObjectCaps)(CFuncVehicle* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CFuncVehicle__Classify)(CFuncVehicle* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CFuncVehicle__OverrideReset)(CFuncVehicle* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CFuncVehicle__OnControls)(CFuncVehicle* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CFuncVehicle__Use)(CFuncVehicle* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CFuncVehicle__Blocked)(CFuncVehicle* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CArmoury {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CArmoury0)(void);
#endif
	void (* CArmoury__Spawn)(CArmoury* this);
	void (* CArmoury__Precache)(CArmoury* this);
	void (* CArmoury__Restart)(CArmoury* this);
	void (* CArmoury__KeyValue)(CArmoury* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CWeaponBox {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CWeaponBox0)(void);
#endif
	void (* CWeaponBox__Spawn)(CWeaponBox* this);
	void (* CWeaponBox__Precache)(CWeaponBox* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CWeaponBox__KeyValue)(CWeaponBox* this, KeyValueData_s*);
	int (* CWeaponBox__Save)(CWeaponBox* this, CSave&);
	int (* CWeaponBox__Restore)(CWeaponBox* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CWeaponBox__SetObjectCollisionBox)(CWeaponBox* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CWeaponBox__Touch)(CWeaponBox* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CBasePlayerAmmo {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CBasePlayerAmmo0)(void);
#endif
	void (* CBasePlayerAmmo__Spawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerAmmo__Respawn)(CBasePlayerAmmo* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBasePlayerAmmo__AddAmmo)(CBasePlayerAmmo* this, CBaseEntity*);
};

struct _vt_CBasePlayerWeapon {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf17CBasePlayerWeapon0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CBasePlayerItem__GetItemInfo)(CBasePlayerItem* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Deploy)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__GetMaxSpeed)(CBasePlayerItem* this);
	void (* CBasePlayerItem__iItemSlot)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PrimaryAttack)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__Reload)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__WeaponIdle)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UseDecrement)(CBasePlayerWeapon* this);
};

struct _vt_CBasePlayerItem {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf15CBasePlayerItem0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerItem__Save)(CBasePlayerItem* this, CSave&);
	int (* CBasePlayerItem__Restore)(CBasePlayerItem* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerItem__AddToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerItem__AddDuplicate)(CBasePlayerItem* this, CBasePlayerItem*);
	void (* CBasePlayerItem__GetItemInfo)(CBasePlayerItem* this, ItemInfo*);
	void (* CBasePlayerItem__CanDeploy)(CBasePlayerItem* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Deploy)(CBasePlayerItem* this);
	void (* CBasePlayerItem__IsWeapon)(CBasePlayerItem* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Holster)(CBasePlayerItem* this, int);
	void (* CBasePlayerItem__UpdateItemInfo)(CBasePlayerItem* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerItem__ItemPostFrame)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerItem__PrimaryAmmoIndex)(CBasePlayerItem* this);
	void (* CBasePlayerItem__SecondaryAmmoIndex)(CBasePlayerItem* this);
	void (* CBasePlayerItem__UpdateClientData)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerItem__GetWeaponPtr)(CBasePlayerItem* this);
	void (* CBasePlayerItem__GetMaxSpeed)(CBasePlayerItem* this);
	void (* CBasePlayerItem__iItemSlot)(CBasePlayerItem* this);
};

struct _vt_CDecal {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CDecal0)(void);
#endif
	void (* CDecal__Spawn)(CDecal* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CDecal__KeyValue)(CDecal* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CWorld {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CWorld0)(void);
#endif
	void (* CWorld__Spawn)(CWorld* this);
	void (* CWorld__Precache)(CWorld* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CWorld__KeyValue)(CWorld* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CCorpse {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CCorpse0)(void);
#endif
	void (* CBaseEntity__Spawn)(CBaseEntity* this);
	void (* CBaseEntity__Precache)(CBaseEntity* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseEntity__KeyValue)(CBaseEntity* this, KeyValueData_s*);
	int (* CBaseEntity__Save)(CBaseEntity* this, CSave&);
	int (* CBaseEntity__Restore)(CBaseEntity* this, CRestore&);
	int (* CCorpse__ObjectCaps)(CCorpse* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBaseEntity__Respawn)(CBaseEntity* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
};

struct _vt_CAK47 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CAK470)(void);
#endif
	void (* CAK47__Spawn)(CAK47* this);
	void (* CAK47__Precache)(CAK47* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CAK47__GetItemInfo)(CAK47* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CAK47__Deploy)(CAK47* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CAK47__GetMaxSpeed)(CAK47* this);
	void (* CAK47__iItemSlot)(CAK47* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CAK47__PrimaryAttack)(CAK47* this);
	void (* CAK47__SecondaryAttack)(CAK47* this);
	void (* CAK47__Reload)(CAK47* this);
	void (* CAK47__WeaponIdle)(CAK47* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CAK47__UseDecrement)(CAK47* this);
};

struct _vt_CAUG {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf4CAUG0)(void);
#endif
	void (* CAUG__Spawn)(CAUG* this);
	void (* CAUG__Precache)(CAUG* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CAUG__GetItemInfo)(CAUG* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CAUG__Deploy)(CAUG* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CAUG__GetMaxSpeed)(CAUG* this);
	void (* CAUG__iItemSlot)(CAUG* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CAUG__PrimaryAttack)(CAUG* this);
	void (* CAUG__SecondaryAttack)(CAUG* this);
	void (* CAUG__Reload)(CAUG* this);
	void (* CAUG__WeaponIdle)(CAUG* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CAUG__UseDecrement)(CAUG* this);
};

struct _vt_CAWP {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf4CAWP0)(void);
#endif
	void (* CAWP__Spawn)(CAWP* this);
	void (* CAWP__Precache)(CAWP* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CAWP__GetItemInfo)(CAWP* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CAWP__Deploy)(CAWP* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CAWP__GetMaxSpeed)(CAWP* this);
	void (* CAWP__iItemSlot)(CAWP* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CAWP__PrimaryAttack)(CAWP* this);
	void (* CAWP__SecondaryAttack)(CAWP* this);
	void (* CAWP__Reload)(CAWP* this);
	void (* CAWP__WeaponIdle)(CAWP* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CAWP__UseDecrement)(CAWP* this);
};

struct _vt_CC4 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf3CC40)(void);
#endif
	void (* CC4__Spawn)(CC4* this);
	void (* CC4__Precache)(CC4* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CC4__KeyValue)(CC4* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CC4__Use)(CC4* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CC4__GetItemInfo)(CC4* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CC4__Deploy)(CC4* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CC4__Holster)(CC4* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CC4__GetMaxSpeed)(CC4* this);
	void (* CC4__iItemSlot)(CC4* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CC4__PrimaryAttack)(CC4* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__Reload)(CBasePlayerWeapon* this);
	void (* CC4__WeaponIdle)(CC4* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CC4__UseDecrement)(CC4* this);
};

struct _vt_CDEAGLE {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CDEAGLE0)(void);
#endif
	void (* CDEAGLE__Spawn)(CDEAGLE* this);
	void (* CDEAGLE__Precache)(CDEAGLE* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CDEAGLE__GetItemInfo)(CDEAGLE* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CDEAGLE__Deploy)(CDEAGLE* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CDEAGLE__GetMaxSpeed)(CDEAGLE* this);
	void (* CDEAGLE__iItemSlot)(CDEAGLE* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CDEAGLE__PrimaryAttack)(CDEAGLE* this);
	void (* CDEAGLE__SecondaryAttack)(CDEAGLE* this);
	void (* CDEAGLE__Reload)(CDEAGLE* this);
	void (* CDEAGLE__WeaponIdle)(CDEAGLE* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CDEAGLE__UseDecrement)(CDEAGLE* this);
	void (* CDEAGLE__IsPistol)(CDEAGLE* this);
};

struct _vt_CELITE {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CELITE0)(void);
#endif
	void (* CELITE__Spawn)(CELITE* this);
	void (* CELITE__Precache)(CELITE* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CELITE__GetItemInfo)(CELITE* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CELITE__Deploy)(CELITE* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CELITE__GetMaxSpeed)(CELITE* this);
	void (* CELITE__iItemSlot)(CELITE* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CELITE__PrimaryAttack)(CELITE* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CELITE__Reload)(CELITE* this);
	void (* CELITE__WeaponIdle)(CELITE* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CELITE__UseDecrement)(CELITE* this);
	void (* CELITE__IsPistol)(CELITE* this);
};

struct _vt_CFiveSeven {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CFiveSeven0)(void);
#endif
	void (* CFiveSeven__Spawn)(CFiveSeven* this);
	void (* CFiveSeven__Precache)(CFiveSeven* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CFiveSeven__GetItemInfo)(CFiveSeven* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CFiveSeven__Deploy)(CFiveSeven* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CFiveSeven__GetMaxSpeed)(CFiveSeven* this);
	void (* CFiveSeven__iItemSlot)(CFiveSeven* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CFiveSeven__PrimaryAttack)(CFiveSeven* this);
	void (* CFiveSeven__SecondaryAttack)(CFiveSeven* this);
	void (* CFiveSeven__Reload)(CFiveSeven* this);
	void (* CFiveSeven__WeaponIdle)(CFiveSeven* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CFiveSeven__UseDecrement)(CFiveSeven* this);
	void (* CFiveSeven__IsPistol)(CFiveSeven* this);
};

struct _vt_CFlashbang {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CFlashbang0)(void);
#endif
	void (* CFlashbang__Spawn)(CFlashbang* this);
	void (* CFlashbang__Precache)(CFlashbang* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CFlashbang__GetItemInfo)(CFlashbang* this, ItemInfo*);
	void (* CFlashbang__CanDeploy)(CFlashbang* this);
	void (* CFlashbang__CanDrop)(CFlashbang* this);
	void (* CFlashbang__Deploy)(CFlashbang* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CFlashbang__Holster)(CFlashbang* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CFlashbang__GetMaxSpeed)(CFlashbang* this);
	void (* CFlashbang__iItemSlot)(CFlashbang* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CFlashbang__PrimaryAttack)(CFlashbang* this);
	void (* CFlashbang__SecondaryAttack)(CFlashbang* this);
	void (* CBasePlayerWeapon__Reload)(CBasePlayerWeapon* this);
	void (* CFlashbang__WeaponIdle)(CFlashbang* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CFlashbang__UseDecrement)(CFlashbang* this);
	void (* CFlashbang__IsPistol)(CFlashbang* this);
};

struct _vt_CG3SG1 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CG3SG10)(void);
#endif
	void (* CG3SG1__Spawn)(CG3SG1* this);
	void (* CG3SG1__Precache)(CG3SG1* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CG3SG1__GetItemInfo)(CG3SG1* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CG3SG1__Deploy)(CG3SG1* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CG3SG1__GetMaxSpeed)(CG3SG1* this);
	void (* CG3SG1__iItemSlot)(CG3SG1* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CG3SG1__PrimaryAttack)(CG3SG1* this);
	void (* CG3SG1__SecondaryAttack)(CG3SG1* this);
	void (* CG3SG1__Reload)(CG3SG1* this);
	void (* CG3SG1__WeaponIdle)(CG3SG1* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CG3SG1__UseDecrement)(CG3SG1* this);
};

struct _vt_CGLOCK18 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf8CGLOCK180)(void);
#endif
	void (* CGLOCK18__Spawn)(CGLOCK18* this);
	void (* CGLOCK18__Precache)(CGLOCK18* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CGLOCK18__GetItemInfo)(CGLOCK18* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CGLOCK18__Deploy)(CGLOCK18* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CGLOCK18__GetMaxSpeed)(CGLOCK18* this);
	void (* CGLOCK18__iItemSlot)(CGLOCK18* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CGLOCK18__PrimaryAttack)(CGLOCK18* this);
	void (* CGLOCK18__SecondaryAttack)(CGLOCK18* this);
	void (* CGLOCK18__Reload)(CGLOCK18* this);
	void (* CGLOCK18__WeaponIdle)(CGLOCK18* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CGLOCK18__UseDecrement)(CGLOCK18* this);
	void (* CGLOCK18__IsPistol)(CGLOCK18* this);
};

struct _vt_CHEGrenade {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf10CHEGrenade0)(void);
#endif
	void (* CHEGrenade__Spawn)(CHEGrenade* this);
	void (* CHEGrenade__Precache)(CHEGrenade* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CHEGrenade__GetItemInfo)(CHEGrenade* this, ItemInfo*);
	void (* CHEGrenade__CanDeploy)(CHEGrenade* this);
	void (* CHEGrenade__CanDrop)(CHEGrenade* this);
	void (* CHEGrenade__Deploy)(CHEGrenade* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CHEGrenade__Holster)(CHEGrenade* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CHEGrenade__GetMaxSpeed)(CHEGrenade* this);
	void (* CHEGrenade__iItemSlot)(CHEGrenade* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CHEGrenade__PrimaryAttack)(CHEGrenade* this);
	void (* CHEGrenade__SecondaryAttack)(CHEGrenade* this);
	void (* CBasePlayerWeapon__Reload)(CBasePlayerWeapon* this);
	void (* CHEGrenade__WeaponIdle)(CHEGrenade* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CHEGrenade__UseDecrement)(CHEGrenade* this);
};

struct _vt_CKnife {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CKnife0)(void);
#endif
	void (* CKnife__Spawn)(CKnife* this);
	void (* CKnife__Precache)(CKnife* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CKnife__GetItemInfo)(CKnife* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CKnife__CanDrop)(CKnife* this);
	void (* CKnife__Deploy)(CKnife* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CKnife__Holster)(CKnife* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CKnife__GetMaxSpeed)(CKnife* this);
	void (* CKnife__iItemSlot)(CKnife* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CKnife__PrimaryAttack)(CKnife* this);
	void (* CKnife__SecondaryAttack)(CKnife* this);
	void (* CBasePlayerWeapon__Reload)(CBasePlayerWeapon* this);
	void (* CKnife__WeaponIdle)(CKnife* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CKnife__UseDecrement)(CKnife* this);
};

struct _vt_CM249 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CM2490)(void);
#endif
	void (* CM249__Spawn)(CM249* this);
	void (* CM249__Precache)(CM249* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CM249__GetItemInfo)(CM249* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CM249__Deploy)(CM249* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CM249__GetMaxSpeed)(CM249* this);
	void (* CM249__iItemSlot)(CM249* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CM249__PrimaryAttack)(CM249* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CM249__Reload)(CM249* this);
	void (* CM249__WeaponIdle)(CM249* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CM249__UseDecrement)(CM249* this);
};

struct _vt_CM3 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf3CM30)(void);
#endif
	void (* CM3__Spawn)(CM3* this);
	void (* CM3__Precache)(CM3* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CM3__GetItemInfo)(CM3* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CM3__Deploy)(CM3* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CM3__GetMaxSpeed)(CM3* this);
	void (* CM3__iItemSlot)(CM3* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CM3__PrimaryAttack)(CM3* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CM3__Reload)(CM3* this);
	void (* CM3__WeaponIdle)(CM3* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CM3__UseDecrement)(CM3* this);
};

struct _vt_CM4A1 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CM4A10)(void);
#endif
	void (* CM4A1__Spawn)(CM4A1* this);
	void (* CM4A1__Precache)(CM4A1* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CM4A1__GetItemInfo)(CM4A1* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CM4A1__Deploy)(CM4A1* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CM4A1__GetMaxSpeed)(CM4A1* this);
	void (* CM4A1__iItemSlot)(CM4A1* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CM4A1__PrimaryAttack)(CM4A1* this);
	void (* CM4A1__SecondaryAttack)(CM4A1* this);
	void (* CM4A1__Reload)(CM4A1* this);
	void (* CM4A1__WeaponIdle)(CM4A1* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CM4A1__UseDecrement)(CM4A1* this);
};

struct _vt_CMAC10 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CMAC100)(void);
#endif
	void (* CMAC10__Spawn)(CMAC10* this);
	void (* CMAC10__Precache)(CMAC10* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CMAC10__GetItemInfo)(CMAC10* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CMAC10__Deploy)(CMAC10* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CMAC10__GetMaxSpeed)(CMAC10* this);
	void (* CMAC10__iItemSlot)(CMAC10* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CMAC10__PrimaryAttack)(CMAC10* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CMAC10__Reload)(CMAC10* this);
	void (* CMAC10__WeaponIdle)(CMAC10* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CMAC10__UseDecrement)(CMAC10* this);
};

struct _vt_CMP5N {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CMP5N0)(void);
#endif
	void (* CMP5N__Spawn)(CMP5N* this);
	void (* CMP5N__Precache)(CMP5N* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CMP5N__GetItemInfo)(CMP5N* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CMP5N__Deploy)(CMP5N* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CMP5N__GetMaxSpeed)(CMP5N* this);
	void (* CMP5N__iItemSlot)(CMP5N* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CMP5N__PrimaryAttack)(CMP5N* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CMP5N__Reload)(CMP5N* this);
	void (* CMP5N__WeaponIdle)(CMP5N* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CMP5N__UseDecrement)(CMP5N* this);
};

struct _vt_CP228 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf5CP2280)(void);
#endif
	void (* CP228__Spawn)(CP228* this);
	void (* CP228__Precache)(CP228* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CP228__GetItemInfo)(CP228* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CP228__Deploy)(CP228* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CP228__GetMaxSpeed)(CP228* this);
	void (* CP228__iItemSlot)(CP228* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CP228__PrimaryAttack)(CP228* this);
	void (* CP228__SecondaryAttack)(CP228* this);
	void (* CP228__Reload)(CP228* this);
	void (* CP228__WeaponIdle)(CP228* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CP228__UseDecrement)(CP228* this);
	void (* CP228__IsPistol)(CP228* this);
};

struct _vt_CP90 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf4CP900)(void);
#endif
	void (* CP90__Spawn)(CP90* this);
	void (* CP90__Precache)(CP90* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CP90__GetItemInfo)(CP90* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CP90__Deploy)(CP90* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CP90__GetMaxSpeed)(CP90* this);
	void (* CP90__iItemSlot)(CP90* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CP90__PrimaryAttack)(CP90* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CP90__Reload)(CP90* this);
	void (* CP90__WeaponIdle)(CP90* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CP90__UseDecrement)(CP90* this);
};

struct _vt_CSCOUT {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CSCOUT0)(void);
#endif
	void (* CSCOUT__Spawn)(CSCOUT* this);
	void (* CSCOUT__Precache)(CSCOUT* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CSCOUT__GetItemInfo)(CSCOUT* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CSCOUT__Deploy)(CSCOUT* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CSCOUT__GetMaxSpeed)(CSCOUT* this);
	void (* CSCOUT__iItemSlot)(CSCOUT* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CSCOUT__PrimaryAttack)(CSCOUT* this);
	void (* CSCOUT__SecondaryAttack)(CSCOUT* this);
	void (* CSCOUT__Reload)(CSCOUT* this);
	void (* CSCOUT__WeaponIdle)(CSCOUT* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CSCOUT__UseDecrement)(CSCOUT* this);
};

struct _vt_CSG550 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CSG5500)(void);
#endif
	void (* CSG550__Spawn)(CSG550* this);
	void (* CSG550__Precache)(CSG550* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CSG550__GetItemInfo)(CSG550* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CSG550__Deploy)(CSG550* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CSG550__GetMaxSpeed)(CSG550* this);
	void (* CSG550__iItemSlot)(CSG550* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CSG550__PrimaryAttack)(CSG550* this);
	void (* CSG550__SecondaryAttack)(CSG550* this);
	void (* CSG550__Reload)(CSG550* this);
	void (* CSG550__WeaponIdle)(CSG550* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CSG550__UseDecrement)(CSG550* this);
};

struct _vt_CSG552 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CSG5520)(void);
#endif
	void (* CSG552__Spawn)(CSG552* this);
	void (* CSG552__Precache)(CSG552* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CSG552__GetItemInfo)(CSG552* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CSG552__Deploy)(CSG552* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CSG552__GetMaxSpeed)(CSG552* this);
	void (* CSG552__iItemSlot)(CSG552* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CSG552__PrimaryAttack)(CSG552* this);
	void (* CSG552__SecondaryAttack)(CSG552* this);
	void (* CSG552__Reload)(CSG552* this);
	void (* CSG552__WeaponIdle)(CSG552* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CSG552__UseDecrement)(CSG552* this);
};

struct _vt_CSmokeGrenade {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CSmokeGrenade0)(void);
#endif
	void (* CSmokeGrenade__Spawn)(CSmokeGrenade* this);
	void (* CSmokeGrenade__Precache)(CSmokeGrenade* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CSmokeGrenade__GetItemInfo)(CSmokeGrenade* this, ItemInfo*);
	void (* CSmokeGrenade__CanDeploy)(CSmokeGrenade* this);
	void (* CSmokeGrenade__CanDrop)(CSmokeGrenade* this);
	void (* CSmokeGrenade__Deploy)(CSmokeGrenade* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CSmokeGrenade__Holster)(CSmokeGrenade* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CSmokeGrenade__GetMaxSpeed)(CSmokeGrenade* this);
	void (* CSmokeGrenade__iItemSlot)(CSmokeGrenade* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CSmokeGrenade__PrimaryAttack)(CSmokeGrenade* this);
	void (* CSmokeGrenade__SecondaryAttack)(CSmokeGrenade* this);
	void (* CBasePlayerWeapon__Reload)(CBasePlayerWeapon* this);
	void (* CSmokeGrenade__WeaponIdle)(CSmokeGrenade* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CSmokeGrenade__UseDecrement)(CSmokeGrenade* this);
};

struct _vt_CTMP {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf4CTMP0)(void);
#endif
	void (* CTMP__Spawn)(CTMP* this);
	void (* CTMP__Precache)(CTMP* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CTMP__GetItemInfo)(CTMP* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CTMP__Deploy)(CTMP* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CTMP__GetMaxSpeed)(CTMP* this);
	void (* CTMP__iItemSlot)(CTMP* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CTMP__PrimaryAttack)(CTMP* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CTMP__Reload)(CTMP* this);
	void (* CTMP__WeaponIdle)(CTMP* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CTMP__UseDecrement)(CTMP* this);
};

struct _vt_CUMP45 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CUMP450)(void);
#endif
	void (* CUMP45__Spawn)(CUMP45* this);
	void (* CUMP45__Precache)(CUMP45* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CUMP45__GetItemInfo)(CUMP45* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CUMP45__Deploy)(CUMP45* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CUMP45__GetMaxSpeed)(CUMP45* this);
	void (* CUMP45__iItemSlot)(CUMP45* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CUMP45__PrimaryAttack)(CUMP45* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CUMP45__Reload)(CUMP45* this);
	void (* CUMP45__WeaponIdle)(CUMP45* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CUMP45__UseDecrement)(CUMP45* this);
};

struct _vt_CUSP {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf4CUSP0)(void);
#endif
	void (* CUSP__Spawn)(CUSP* this);
	void (* CUSP__Precache)(CUSP* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CUSP__GetItemInfo)(CUSP* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CUSP__Deploy)(CUSP* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CUSP__GetMaxSpeed)(CUSP* this);
	void (* CUSP__iItemSlot)(CUSP* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CUSP__PrimaryAttack)(CUSP* this);
	void (* CUSP__SecondaryAttack)(CUSP* this);
	void (* CUSP__Reload)(CUSP* this);
	void (* CUSP__WeaponIdle)(CUSP* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CUSP__UseDecrement)(CUSP* this);
	void (* CUSP__IsPistol)(CUSP* this);
};

struct _vt_CFamas {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CFamas0)(void);
#endif
	void (* CFamas__Spawn)(CFamas* this);
	void (* CFamas__Precache)(CFamas* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CFamas__GetItemInfo)(CFamas* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CFamas__Deploy)(CFamas* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CFamas__GetMaxSpeed)(CFamas* this);
	void (* CFamas__iItemSlot)(CFamas* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CFamas__PrimaryAttack)(CFamas* this);
	void (* CFamas__SecondaryAttack)(CFamas* this);
	void (* CFamas__Reload)(CFamas* this);
	void (* CFamas__WeaponIdle)(CFamas* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CFamas__UseDecrement)(CFamas* this);
};

struct _vt_CGalil {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf6CGalil0)(void);
#endif
	void (* CGalil__Spawn)(CGalil* this);
	void (* CGalil__Precache)(CGalil* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CGalil__GetItemInfo)(CGalil* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CGalil__Deploy)(CGalil* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CGalil__GetMaxSpeed)(CGalil* this);
	void (* CGalil__iItemSlot)(CGalil* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CGalil__PrimaryAttack)(CGalil* this);
	void (* CGalil__SecondaryAttack)(CGalil* this);
	void (* CGalil__Reload)(CGalil* this);
	void (* CGalil__WeaponIdle)(CGalil* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CGalil__UseDecrement)(CGalil* this);
};

struct _vt_CXM1014 {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf7CXM10140)(void);
#endif
	void (* CXM1014__Spawn)(CXM1014* this);
	void (* CXM1014__Precache)(CXM1014* this);
	void (* CBaseEntity__Restart)(CBaseEntity* this);
	void (* CBaseDelay__KeyValue)(CBaseDelay* this, KeyValueData_s*);
	int (* CBasePlayerWeapon__Save)(CBasePlayerWeapon* this, CSave&);
	int (* CBasePlayerWeapon__Restore)(CBasePlayerWeapon* this, CRestore&);
	int (* CBaseEntity__ObjectCaps)(CBaseEntity* this);
	void (* CBaseEntity__Activate)(CBaseEntity* this);
	void (* CBasePlayerItem__SetObjectCollisionBox)(CBasePlayerItem* this);
	int (* CBaseEntity__Classify)(CBaseEntity* this);
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (* CBaseEntity__TraceAttack)(CBaseEntity* this, entvars_s*, float, Vector&, TraceResult*, int);
	int (* CBaseEntity__TakeDamage)(CBaseEntity* this, entvars_s*, entvars_s*, float, int);
	int (* CBaseEntity__TakeHealth)(CBaseEntity* this, float, int);
	void (* CBaseEntity__Killed)(CBaseEntity* this, entvars_s*, int);
	int (* CBaseEntity__BloodColor)(CBaseEntity* this);
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector&, TraceResult*, int);
	BOOL (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	CBaseMonster* (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	CBaseMonster* (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	int (* CBaseEntity__GetToggleState)(CBaseEntity* this);
	void (* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	BOOL (* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	BOOL (* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	int (* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char*, int);
	float (* CBaseEntity__GetDelay)(CBaseEntity* this);
	int (* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this);
	int (* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (* CBaseEntity__StopSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	BOOL (* CBaseEntity__IsSneaking)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsAlive)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	BOOL (* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	BOOL (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	BOOL (* CBaseEntity__IsInWorld)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsPlayer)(CBaseEntity* this);
	BOOL (* CBaseEntity__IsNetClient)(CBaseEntity* this);
	const char* (* CBaseEntity__TeamID)(CBaseEntity* this);
	CBaseEntity* (* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (* CBaseEntity__Think)(CBaseEntity* this);
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*);
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity*, CBaseEntity*, USE_TYPE, float);
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	CBaseEntity* (* CBasePlayerItem__Respawn)(CBasePlayerItem* this);
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	BOOL (* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	Vector& (* CBaseEntity__Center)(CBaseEntity* this);
	Vector& (* CBaseEntity__EyePosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__EarPosition)(CBaseEntity* this);
	Vector& (* CBaseEntity__BodyTarget)(CBaseEntity* this, Vector const&);
	int (* CBaseEntity__Illumination)(CBaseEntity* this);
	BOOL (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	BOOL (* CBaseEntity__FVisible2)(CBaseEntity* this, Vector const&);
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (* CBasePlayerWeapon__AddToPlayer)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__AddDuplicate)(CBasePlayerWeapon* this, CBasePlayerItem*);
	void (* CXM1014__GetItemInfo)(CXM1014* this, ItemInfo*);
	void (* CBasePlayerWeapon__CanDeploy)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanDrop)(CBasePlayerItem* this);
	void (* CXM1014__Deploy)(CXM1014* this);
	void (* CBasePlayerWeapon__IsWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__CanHolster)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__Holster)(CBasePlayerWeapon* this, int);
	void (* CBasePlayerWeapon__UpdateItemInfo)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__ItemPreFrame)(CBasePlayerItem* this);
	void (* CBasePlayerWeapon__ItemPostFrame)(CBasePlayerWeapon* this);
	void (* CBasePlayerItem__Drop)(CBasePlayerItem* this);
	void (* CBasePlayerItem__Kill)(CBasePlayerItem* this);
	void (* CBasePlayerItem__AttachToPlayer)(CBasePlayerItem* this, CBasePlayer*);
	void (* CBasePlayerWeapon__PrimaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SecondaryAmmoIndex)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__UpdateClientData)(CBasePlayerWeapon* this, CBasePlayer*);
	void (* CBasePlayerWeapon__GetWeaponPtr)(CBasePlayerWeapon* this);
	void (* CXM1014__GetMaxSpeed)(CXM1014* this);
	void (* CXM1014__iItemSlot)(CXM1014* this);
	void (* CBasePlayerWeapon__ExtractAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__ExtractClipAmmo)(CBasePlayerWeapon* this, CBasePlayerWeapon*);
	void (* CBasePlayerWeapon__AddWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__PlayEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ResetEmptySound)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__SendWeaponAnim)(CBasePlayerWeapon* this, int, int);
	void (* CBasePlayerWeapon__IsUseable)(CBasePlayerWeapon* this);
	void (* CXM1014__PrimaryAttack)(CXM1014* this);
	void (* CBasePlayerWeapon__SecondaryAttack)(CBasePlayerWeapon* this);
	void (* CXM1014__Reload)(CXM1014* this);
	void (* CXM1014__WeaponIdle)(CXM1014* this);
	void (* CBasePlayerWeapon__RetireWeapon)(CBasePlayerWeapon* this);
	void (* CBasePlayerWeapon__ShouldWeaponIdle)(CBasePlayerWeapon* this);
	void (* CXM1014__UseDecrement)(CXM1014* this);
};

struct _vt_CVoiceGameMgr {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf13CVoiceGameMgr0)(void);
#endif
	void (* ___13CVoiceGameMgr1)(void);
};

struct _vt_CHostage
{
#ifdef __linux__
	void* _zerofilled;
	void (*__tf8CHostage0)(void);
#endif
	void (__cdecl* CHostage__Spawn)(CHostage* this);
	void (__cdecl* CHostage__Precache)(CHostage* this);
	void (__cdecl* CBaseEntity__Restart)(CBaseEntity* this);
	void (__cdecl* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*);
	void (__cdecl* CBaseToggle__Save)(CBaseToggle* this, CSave*);
	void (__cdecl* CBaseToggle__Restore)(CBaseToggle* this, CRestore*);
	void (__cdecl* CHostage__ObjectCaps)(CHostage* this);
	void (__cdecl* CBaseEntity__Activate)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this);
	void (__cdecl* CHostage__Classify)(CHostage* this);
	void (__cdecl* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*);
	void (__cdecl* CBaseMonster__TraceAttack)(CBaseMonster* this, entvars_s* , float, Vector, TraceResult* , int);
	void (__cdecl* CHostage__TakeDamage)(CHostage* this, entvars_s* , entvars_s* , float, int);
	void (__cdecl* CBaseMonster__TakeHealth)(CBaseMonster* this, float, int);
	void (__cdecl* CBaseMonster__Killed)(CBaseMonster* this, entvars_s* , int);
	void (__cdecl* CHostage__BloodColor)(CHostage* this);
	void (__cdecl* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector, TraceResult* , int);
	void (__cdecl* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*);
	void (__cdecl* CBaseEntity__MyMonsterPointer)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this);
	void (__cdecl* CBaseToggle__GetToggleState)(CBaseToggle* this);
	void (__cdecl* CBaseEntity__AddPoints)(CBaseEntity* this, int, int);
	void (__cdecl* CBaseEntity__AddPointsToTeam)(CBaseEntity* this, int, int);
	void (__cdecl* CBaseEntity__AddPlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	void (__cdecl* CBaseEntity__RemovePlayerItem)(CBaseEntity* this, CBasePlayerItem*);
	void (__cdecl* CBaseEntity__GiveAmmo)(CBaseEntity* this, int, char* , int);
	void (__cdecl* CBaseToggle__GetDelay)(CBaseToggle* this);
	void (__cdecl* CBaseEntity__IsMoving)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__OverrideReset)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__DamageDecal)(CBaseEntity* this, int);
	void (__cdecl* CBaseEntity__SetToggleState)(CBaseEntity* this, int);
	void (__cdecl* CBaseEntity__StartSneaking)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__StopSneaking)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*);
	void (__cdecl* CBaseEntity__IsSneaking)(CBaseEntity* this);
	void (__cdecl* CBaseMonster__IsAlive)(CBaseMonster* this);
	void (__cdecl* CBaseEntity__IsBSPModel)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__ReflectGauss)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int);
	void (__cdecl* CBaseEntity__IsInWorld)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__IsPlayer)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__IsNetClient)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__TeamID)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__GetNextTarget)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__Think)(CBaseEntity* this);
	void (__cdecl* CHostage__Touch)(CHostage* this, CBaseEntity*);
	void (__cdecl* CHostage__Use)(CHostage* this, CBaseEntity* , CBaseEntity* , USE_TYPE, float);
	void (__cdecl* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*);
	void (__cdecl* CBaseEntity__Respawn)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__UpdateOwner)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__FBecomeProne)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__Center)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__EyePosition)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__EarPosition)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__BodyTarget)(CBaseEntity* this, const Vector*);
	void (__cdecl* CBaseEntity__Illumination)(CBaseEntity* this);
	void (__cdecl* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*);
	void (__cdecl* CBaseEntity__FVisible2)(CBaseEntity* this, const Vector*);
	void (__cdecl* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*);
	void (__cdecl* CBaseMonster__ChangeYaw)(CBaseMonster* this, int);
	void (__cdecl* CBaseMonster__HasHumanGibs)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__HasAlienGibs)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__FadeMonster)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__GibMonster)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__GetDeathActivity)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__BecomeDead)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__ShouldFadeOnDeath)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*);
	void (__cdecl* CBaseMonster__PainSound)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__ResetMaxSpeed)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__ReportAIState)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__MonsterInitDead)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__Look)(CBaseMonster* this, int);
	void (__cdecl* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this);
	void (__cdecl* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*);
	void (__cdecl* CBaseMonster__FInViewCone2)(CBaseMonster* this, Vector*);
};

struct _vt_CBot
{
#ifdef __linux__
		void* _zerofilled;
		void (* __tf4CBot0)(void);		
#endif
	void (* CBot__Spawn)(CBot* this); // offset 1
	void (* CBasePlayer__Precache)(CBasePlayer* this); // offset 2
	void (* CBaseEntity__Restart)(CBaseEntity* this); // offset 3
	void (* CBaseMonster__KeyValue)(CBaseMonster* this, KeyValueData_s*); // offset 4
	void (* CBasePlayer__Save)(CBasePlayer* this, CSave&); // offset 5
	void (* CBasePlayer__Restore)(CBasePlayer* this, CRestore&); // offset 6
	void (* CBasePlayer__ObjectCaps)(CBasePlayer* this); // offset 7
	void (* CBaseEntity__Activate)(CBaseEntity* this); // offset 8
	void (* CBaseEntity__SetObjectCollisionBox)(CBaseEntity* this); // offset 9
	void (* CBasePlayer__Classify)(CBasePlayer* this); // offset 10
	void (* CBaseEntity__DeathNotice)(CBaseEntity* this, entvars_s*); // offset 11
	void (* CBasePlayer__TraceAttack)(CBasePlayer* this, entvars_s* , float, Vector, TraceResult* , int); // offset 12
	void (* CBot__TakeDamage)(CBot* this, entvars_s* , entvars_s* , float, int); // offset 13
	void (* CBasePlayer__TakeHealth)(CBasePlayer* this, float, int); // offset 14
	void (* CBot__Killed)(CBot* this, entvars_s* , int); // offset 15
	void (* CBaseMonster__BloodColor)(CBaseMonster* this); // offset 16
	void (* CBaseEntity__TraceBleed)(CBaseEntity* this, float, Vector, TraceResult* , int); // offset 17
	void (* CBaseEntity__IsTriggered)(CBaseEntity* this, CBaseEntity*); // offset 18
	void (* CBaseEntity__MyMonsterPointer)(CBaseEntity* this); // offset 19
	void (* CBaseEntity__MySquadMonsterPointer)(CBaseEntity* this); // offset 20
	void (* CBaseToggle__GetToggleState)(CBaseToggle* this); // offset 21
	void (* CBasePlayer__AddPoints)(CBasePlayer* this, int, int); // offset 22
	void (* CBasePlayer__AddPointsToTeam)(CBasePlayer* this, int, int); // offset 23
	void (* CBasePlayer__AddPlayerItem)(CBasePlayer* this, CBasePlayerItem*); // offset 24
	void (* CBasePlayer__RemovePlayerItem)(CBasePlayer* this, CBasePlayerItem*); // offset 25
	void (* CBasePlayer__GiveAmmo)(CBasePlayer* this, int, char* , int); // offset 26
	void (* CBaseToggle__GetDelay)(CBaseToggle* this); // offset 27
	void (* CBaseEntity__IsMoving)(CBaseEntity* this); // offset 28
	void (* CBaseEntity__OverrideReset)(CBaseEntity* this); // offset 29
	void (* CBaseEntity__DamageDecal)(CBaseEntity* this, int); // offset 30
	void (* CBaseEntity__SetToggleState)(CBaseEntity* this, int); // offset 31
	void (* CBasePlayer__StartSneaking)(CBasePlayer* this); // offset 32
	void (* CBasePlayer__StopSneaking)(CBasePlayer* this); // offset 33
	void (* CBaseEntity__OnControls)(CBaseEntity* this, entvars_s*); // offset 34
	void (* CBasePlayer__IsSneaking)(CBasePlayer* this); // offset 35
	void (* CBasePlayer__IsAlive)(CBasePlayer* this); // offset 36
	void (* CBaseEntity__IsBSPModel)(CBaseEntity* this); // offset 37
	void (* CBaseEntity__ReflectGauss)(CBaseEntity* this); // offset 38
	void (* CBaseEntity__HasTarget)(CBaseEntity* this, unsigned int); // offset 39
	void (* CBaseEntity__IsInWorld)(CBaseEntity* this); // offset 40
	void (* CBasePlayer__IsPlayer)(CBasePlayer* this); // offset 41
	void (* CBasePlayer__IsNetClient)(CBasePlayer* this); // offset 42
	void (* CBasePlayer__TeamID)(CBasePlayer* this); // offset 43
	void (* CBaseEntity__GetNextTarget)(CBaseEntity* this); // offset 44
	void (* CBot__Think)(CBot* this); // offset 45
	void (* CBaseEntity__Touch)(CBaseEntity* this, CBaseEntity*); // offset 46
	void (* CBaseEntity__Use)(CBaseEntity* this, CBaseEntity* , CBaseEntity* , USE_TYPE, float); // offset 47
	void (* CBaseEntity__Blocked)(CBaseEntity* this, CBaseEntity*); // offset 48
	void (* CBaseEntity__Respawn)(CBaseEntity* this); // offset 49
	void (* CBaseEntity__UpdateOwner)(CBaseEntity* this); // offset 50
	void (* CBasePlayer__FBecomeProne)(CBasePlayer* this); // offset 51
	void (* CBaseEntity__Center)(CBaseEntity* this); // offset 52
	void (* CBaseEntity__EyePosition)(CBaseEntity* this); // offset 53
	void (* CBaseEntity__EarPosition)(CBaseEntity* this); // offset 54
	void (* CBasePlayer__BodyTarget)(CBasePlayer* this, Vector const&); // offset 55
	void (* CBasePlayer__Illumination)(CBasePlayer* this); // offset 56
	void (* CBaseEntity__FVisible)(CBaseEntity* this, CBaseEntity*); // offset 57
	void (* CBaseEntity__FVisible)(CBaseEntity* this, Vector const&); // offset 58
	void (* CBaseAnimating__HandleAnimEvent)(CBaseAnimating* this, MonsterEvent_t*); // offset 59
	void (* CBaseMonster__ChangeYaw)(CBaseMonster* this, int); // offset 60
	void (* CBaseMonster__HasHumanGibs)(CBaseMonster* this); // offset 61
	void (* CBaseMonster__HasAlienGibs)(CBaseMonster* this); // offset 62
	void (* CBaseMonster__FadeMonster)(CBaseMonster* this); // offset 63
	void (* CBaseMonster__GibMonster)(CBaseMonster* this); // offset 64
	void (* CBaseMonster__GetDeathActivity)(CBaseMonster* this); // offset 65
	void (* CBaseMonster__BecomeDead)(CBaseMonster* this); // offset 66
	void (* CBasePlayer__ShouldFadeOnDeath)(CBasePlayer* this); // offset 67
	void (* CBaseMonster__IRelationship)(CBaseMonster* this, CBaseEntity*); // offset 68
	void (* CBaseMonster__PainSound)(CBaseMonster* this); // offset 69
	void (* CBasePlayer__ResetMaxSpeed)(CBasePlayer* this); // offset 70
	void (* CBaseMonster__ReportAIState)(CBaseMonster* this); // offset 71
	void (* CBaseMonster__MonsterInitDead)(CBaseMonster* this); // offset 72
	void (* CBaseMonster__Look)(CBaseMonster* this, int); // offset 73
	void (* CBaseMonster__BestVisibleEnemy)(CBaseMonster* this); // offset 74
	void (* CBaseMonster__FInViewCone)(CBaseMonster* this, CBaseEntity*); // offset 75
	void (* CBaseMonster__FInViewCone)(CBaseMonster* this, Vector*); // offset 76
	void (* CBasePlayer__Jump)(CBasePlayer* this); // offset 77
	void (* CBasePlayer__Duck)(CBasePlayer* this); // offset 78
	void (* CBasePlayer__PreThink)(CBasePlayer* this); // offset 79
	void (* CBasePlayer__PostThink)(CBasePlayer* this); // offset 80
	void (* CBasePlayer__GetGunPosition)(CBasePlayer* this); // offset 81
	void (* CBot__IsBot)(CBot* this); // offset 82
	void (* CBasePlayer__UpdateClientData)(CBasePlayer* this); // offset 83
	void (* CBasePlayer__ImpulseCommands)(CBasePlayer* this); // offset 84
	void (* CBasePlayer__RoundRespawn)(CBasePlayer* this); // offset 85
	void (* CBot__GetAutoaimVector)(CBot* this, float); // offset 86
	void (* CBasePlayer__Blind)(CBasePlayer* this, float, float, float, int); // offset 87
	void (* CBot__OnTouchingWeapon)(CBot* this, CWeaponBox*); // offset 88
	void (* CBot__Initialize)(CBot* this, BotProfile const*); // offset 89
	void (* __pure_virtual_off90)(void);
	void (* __pure_virtual_off91)(void);
	void (* __pure_virtual_off92)(void);
	void (* CBot__Run)(CBot* this); // offset 93
	void (* CBot__Walk)(CBot* this); // offset 94
	void (* CBot__Crouch)(CBot* this); // offset 95
	void (* CBot__StandUp)(CBot* this); // offset 96
	void (* CBot__MoveForward)(CBot* this); // offset 97
	void (* CBot__MoveBackward)(CBot* this); // offset 98
	void (* CBot__StrafeLeft)(CBot* this); // offset 99
	void (* CBot__StrafeRight)(CBot* this); // offset 100
	void (* CBot__Jump)(CBot* this, bool); // offset 101
	void (* CBot__ClearMovement)(CBot* this); // offset 102
	void (* CBot__UseEnvironment)(CBot* this); // offset 103
	void (* CBot__PrimaryAttack)(CBot* this); // offset 104
	void (* CBot__ClearPrimaryAttack)(CBot* this); // offset 105
	void (* CBot__TogglePrimaryAttack)(CBot* this); // offset 106
	void (* CBot__SecondaryAttack)(CBot* this); // offset 107
	void (* CBot__Reload)(CBot* this); // offset 108
	void (* CBot__OnEvent)(CBot* this, GameEventType, CBaseEntity* , CBaseEntity*); // offset 109
	void (* __pure_virtual_off110)(void);
	void (* __pure_virtual_off111)(void);
	void (* __pure_virtual_off112)(void);
	void (* CBot__IsPlayerFacingMe)(CBot* this, CBasePlayer*); // offset 113
	void (* CBot__IsPlayerLookingAtMe)(CBot* this, CBasePlayer*); // offset 114
	void (* CBot__ExecuteCommand)(CBot* this); // offset 115
	void (* CBot__SetModel)(CBot* this, char const*); // offset 116
};

struct _vt_CCareerTask {
#ifdef __linux__
	void* _zerofilled;
	void (* __tf11CCareerTask)(void);		
#endif
	void (* CCareerTask__OnEvent)(CCareerTask *this, GameEventType, CBasePlayer*, CBasePlayer*);
	void (* CCareerTask__Reset)(CCareerTask *this);
	BOOL (* CCareerTask__IsTaskCompletableThisRound)(CCareerTask *this);
};

struct _vt_CBotManager {
	void (* __tf11CBotManager0)(void);
	void (* __pure_virtual_off1)(void);
	void (* __pure_virtual_off2)(void);
	void (* __pure_virtual_off3)(void);
	void (* __pure_virtual_off4)(void);
	void (* __pure_virtual_off5)(void);
	void (* __pure_virtual_off6)(void);
	void (* __pure_virtual_off7)(void);
	void (* CBotManager__RestartRound)(CBotManager *this      ); // offset 8
	void (* CBotManager__StartFrame)(CBotManager *this      ); // offset 9
	void (* CBotManager__OnEvent)(CBotManager *this, GameEventType, CBaseEntity *, CBaseEntity *); // offset 10
	void (* __pure_virtual_off11)(void);
};

